!zone fade_henning
fade_henning_isready
  !byte $00
fade_henning_fade:
    clc
    lda .value1+1
    cmp #<.faderdata_end
    bne .fade_ok
    lda .value1+2
    cmp #>.faderdata_end
    bne .fade_ok
    lda #$01
    sta fade_henning_isready
    rts

.fade_ok:
    clc
.value1:
    ldx .faderdata
.value2:
    ldy .faderdata+1

    clc
    txa
    adc #>.colordata
    sta .modvalue1+2

    clc
    txa
    adc #>.screendata
    sta .modvalue3+2

    clc
    tya
    adc #<.colordata
    sta .modvalue1+1
    bcc +
    inc .modvalue1+2
+
    clc
    tya
    adc #<.screendata
    sta .modvalue3+1
    bcc .ok3
    inc .modvalue3+2

.ok3:

    clc
    txa
    adc #>$d800
    sta .modvalue2+2

    clc
    txa
    adc #>screen
    sta .modvalue4+2

    clc
    tya
    adc #<$d800
    sta .modvalue2+1
    bcc +
    inc .modvalue2+2

+   clc
    tya
    adc #<screen
    sta .modvalue4+1
    bcc .ok4
    inc .modvalue4+2
.ok4:
    clc
.modvalue1:
    lda .colordata
.modvalue2:
    sta $d800
.modvalue3:
    lda .screendata
.modvalue4:
    sta screen
    clc
    lda .value1+1
    adc #$02
    sta .value1+1
    bcc .ok1
    inc .value1+2
.ok1:
    clc
    lda .value2+1
    adc #$02
    sta .value2+1
    bcc .ok2
    inc .value2+2
.ok2:
    clc
    rts

fade_henning_copy_empty_screen:
    ldx #$fa
-
!for ROW, 0, 3 {
    lda empty_color+(ROW*$fa)-1,x
    sta .colordata+(ROW*$fa)-1,x
}
!for ROW, 0, 3 {
    lda empty_screen+(ROW*$fa)-1,x
    sta .screendata+(ROW*$fa)-1,x
}
    dex
    bne -

;    rts

.reset_animation:
    clc
    lda #<.faderdata
    sta .value1+1
    sta .value2+1
    lda #>.faderdata
    sta .value1+2
    sta .value2+2
    inc .value2+1
    lda #$00
    sta fade_henning_isready
    rts
    ;lda #<.faderdata+1
    ;sta .value2+1
    ;lda #>.faderdata+1
    ;sta .value2+2

fade_henning_copy_name:
    ldx #$18
-
!for ROW, 4, 7 {
    lda .screendata+(ROW*$28)-1+14,x
    sta screen+(ROW*$28)-1+14,x
}
    dex
    bne -
    rts

fade_henning_clear_name:
    ldx #$18
-
!for ROW, 4, 7 {
    lda .screendata+(ROW*$28)-1+14,x
    sta screen+(ROW*$28)-1+14,x
}
    dex
    bne -
    rts

fade_henning_animate:
    lda .phase
    cmp #$06
    bne +
    jsr .animation1
    jmp ++
+
    cmp #$01
    bne ++
    jsr .animation2
    jmp ++
++
    dec .phase
    bne +++
    lda #$38
    sta .phase
+++
    rts
.phase:
    !byte $38

.animation1:
    lda #$62
    sta screen+((5*$28)+7)
    lda #$62
    sta screen+((5*$28)+10)
    lda #$7b
    sta screen+((5*$28)+11)
    lda #$7c
    sta screen+((6*$28)+6)
    lda #$e0
    sta screen+((6*$28)+8)
    sta screen+((6*$28)+9)
    lda #$e8
    sta screen+((6*$28)+7)
    sta screen+((6*$28)+10)
    sta screen+((6*$28)+11)
    lda #$e0
    sta screen+((7*$28)+5)
    sta screen+((7*$28)+6)
    lda #$62
    sta screen+((7*$28)+7)
    sta screen+((7*$28)+10)
    lda #$7e
    sta screen+((7*$28)+11)

    lda #$0f
    sta $d800+((5*$28)+7)
    lda #$0a
    sta $d800+((5*$28)+10)
    lda #$08
    sta $d800+((5*$28)+11)
    lda #$0a
    sta $d800+((6*$28)+6)
    sta $d800+((6*$28)+7)
    sta $d800+((6*$28)+10)
    lda #$08
    sta $d800+((6*$28)+11)
    lda #$0f
    sta $d800+((7*$28)+6)
    lda #$0a
    sta $d800+((7*$28)+7)
    lda #$08
    sta $d800+((7*$28)+11)
    rts

.animation2:
    lda #$7b
    sta screen+((5*$28)+7)
    lda #$6c
    sta screen+((5*$28)+10)
    lda #$7b
    sta screen+((5*$28)+11)
    lda #$ff
    sta screen+((6*$28)+6)
    lda #$e1
    sta screen+((6*$28)+8)
    lda #$61
    sta screen+((6*$28)+9)
    lda #$a0
    sta screen+((6*$28)+7)
    lda #$fc
    sta screen+((6*$28)+10)
    lda #$e0
    sta screen+((6*$28)+11)
    lda #$fc
    sta screen+((7*$28)+5)
    lda #$e2
    sta screen+((7*$28)+6)
    lda #$7e
    sta screen+((7*$28)+7)
    lda #$62
    sta screen+((7*$28)+10)
    lda #$7e
    sta screen+((7*$28)+11)

    lda #$01
    sta $d800+((5*$28)+7)
    sta $d800+((5*$28)+10)
    sta $d800+((5*$28)+11)
    sta $d800+((6*$28)+6)
    sta $d800+((6*$28)+7)
    sta $d800+((6*$28)+10)
    sta $d800+((6*$28)+11)
    sta $d800+((7*$28)+6)
    sta $d800+((7*$28)+7)
    sta $d800+((7*$28)+11)
    rts

!align 2,0 ; IMPORTANT the faderdata LO and HI has to be in the same INC !!
.faderdata:
!byte $03, $CD ; x=13 y=24
!byte $03, $99 ; x=1 y=23
!byte $03, $A5 ; x=13 y=23
!byte $03, $C2 ; x=2 y=24
!byte $03, $CC ; x=12 y=24
!byte $03, $71 ; x=1 y=22
!byte $03, $A4 ; x=12 y=23
!byte $03, $9A ; x=2 y=23
!byte $03, $CB ; x=11 y=24
!byte $03, $C3 ; x=3 y=24
!byte $03, $7C ; x=12 y=22
!byte $03, $49 ; x=1 y=21
!byte $03, $A3 ; x=11 y=23
!byte $03, $72 ; x=2 y=22
!byte $03, $CA ; x=10 y=24
!byte $03, $9B ; x=3 y=23
!byte $03, $54 ; x=12 y=21
!byte $03, $C4 ; x=4 y=24
!byte $03, $21 ; x=1 y=20
!byte $03, $7B ; x=11 y=22
!byte $03, $4A ; x=2 y=21
!byte $03, $A2 ; x=10 y=23
!byte $03, $73 ; x=3 y=22
!byte $03, $C9 ; x=9 y=24
!byte $03, $9C ; x=4 y=23
!byte $03, $2C ; x=12 y=20
!byte $03, $C5 ; x=5 y=24
!byte $02, $F9 ; x=1 y=19
!byte $03, $53 ; x=11 y=21
!byte $03, $22 ; x=2 y=20
!byte $03, $7A ; x=10 y=22
!byte $03, $4B ; x=3 y=21
!byte $03, $A1 ; x=9 y=23
!byte $03, $74 ; x=4 y=22
!byte $03, $C8 ; x=8 y=24
!byte $03, $9D ; x=5 y=23
!byte $03, $04 ; x=12 y=19
!byte $03, $C6 ; x=6 y=24
!byte $02, $D1 ; x=1 y=18
!byte $03, $2B ; x=11 y=20
!byte $02, $FA ; x=2 y=19
!byte $03, $52 ; x=10 y=21
!byte $03, $23 ; x=3 y=20
!byte $03, $79 ; x=9 y=22
!byte $03, $4C ; x=4 y=21
!byte $03, $A0 ; x=8 y=23
!byte $03, $75 ; x=5 y=22
!byte $03, $C7 ; x=7 y=24
!byte $03, $9E ; x=6 y=23
!byte $02, $DC ; x=12 y=18
!byte $02, $A9 ; x=1 y=17
!byte $03, $03 ; x=11 y=19
!byte $02, $D2 ; x=2 y=18
!byte $03, $2A ; x=10 y=20
!byte $02, $FB ; x=3 y=19
!byte $03, $51 ; x=9 y=21
!byte $03, $24 ; x=4 y=20
!byte $03, $78 ; x=8 y=22
!byte $03, $4D ; x=5 y=21
!byte $03, $9F ; x=7 y=23
!byte $03, $76 ; x=6 y=22
!byte $02, $B4 ; x=12 y=17
!byte $02, $AA ; x=2 y=17
!byte $02, $DB ; x=11 y=18
!byte $02, $D3 ; x=3 y=18
!byte $03, $02 ; x=10 y=19
!byte $02, $FC ; x=4 y=19
!byte $03, $29 ; x=9 y=20
!byte $03, $25 ; x=5 y=20
!byte $03, $50 ; x=8 y=21
!byte $03, $4E ; x=6 y=21
!byte $03, $77 ; x=7 y=22
!byte $02, $82 ; x=2 y=16
!byte $02, $8C ; x=12 y=16
!byte $02, $AB ; x=3 y=17
!byte $02, $B3 ; x=11 y=17
!byte $02, $D4 ; x=4 y=18
!byte $02, $DA ; x=10 y=18
!byte $02, $FD ; x=5 y=19
!byte $03, $01 ; x=9 y=19
!byte $03, $26 ; x=6 y=20
!byte $03, $28 ; x=8 y=20
!byte $03, $4F ; x=7 y=21
!byte $02, $8B ; x=11 y=16
!byte $02, $5A ; x=2 y=15
!byte $02, $B2 ; x=10 y=17
!byte $02, $83 ; x=3 y=16
!byte $02, $D9 ; x=9 y=18
!byte $02, $AC ; x=4 y=17
!byte $03, $00 ; x=8 y=19
!byte $02, $D5 ; x=5 y=18
!byte $03, $27 ; x=7 y=20
!byte $02, $FE ; x=6 y=19
!byte $02, $63 ; x=11 y=15
!byte $02, $5B ; x=3 y=15
!byte $02, $8A ; x=10 y=16
!byte $02, $84 ; x=4 y=16
!byte $02, $B1 ; x=9 y=17
!byte $02, $AD ; x=5 y=17
!byte $02, $D8 ; x=8 y=18
!byte $02, $D6 ; x=6 y=18
!byte $02, $FF ; x=7 y=19
!byte $02, $33 ; x=3 y=14
!byte $02, $3B ; x=11 y=14
!byte $02, $5C ; x=4 y=15
!byte $02, $62 ; x=10 y=15
!byte $02, $85 ; x=5 y=16
!byte $02, $89 ; x=9 y=16
!byte $02, $AE ; x=6 y=17
!byte $02, $B0 ; x=8 y=17
!byte $02, $D7 ; x=7 y=18
!byte $02, $3A ; x=10 y=14
!byte $02, $34 ; x=4 y=14
!byte $02, $61 ; x=9 y=15
!byte $02, $5D ; x=5 y=15
!byte $02, $88 ; x=8 y=16
!byte $02, $86 ; x=6 y=16
!byte $02, $AF ; x=7 y=17
!byte $02, $0C ; x=4 y=13
!byte $02, $12 ; x=10 y=13
!byte $02, $35 ; x=5 y=14
!byte $02, $39 ; x=9 y=14
!byte $02, $5E ; x=6 y=15
!byte $02, $60 ; x=8 y=15
!byte $02, $87 ; x=7 y=16
!byte $02, $5F ; x=7 y=15
!byte $02, $38 ; x=8 y=14
!byte $02, $11 ; x=9 y=13
!byte $02, $36 ; x=6 y=14
!byte $02, $37 ; x=7 y=14
!byte $02, $0D ; x=5 y=13
!byte $02, $10 ; x=8 y=13
!byte $01, $E4 ; x=4 y=12
!byte $01, $E9 ; x=9 y=12
!byte $01, $BB ; x=3 y=11
!byte $01, $9B ; x=11 y=10
!byte $01, $92 ; x=2 y=10
!byte $02, $0F ; x=7 y=13
!byte $01, $91 ; x=1 y=10
!byte $01, $E8 ; x=8 y=12
!byte $01, $69 ; x=1 y=9
!byte $01, $C1 ; x=9 y=11
!byte $01, $68 ; x=0 y=9
!byte $01, $9A ; x=10 y=10
!byte $01, $40 ; x=0 y=8
!byte $02, $0E ; x=6 y=13
!byte $01, $E5 ; x=5 y=12
!byte $01, $E7 ; x=7 y=12
!byte $01, $BC ; x=4 y=11
!byte $01, $C0 ; x=8 y=11
!byte $01, $93 ; x=3 y=10
!byte $01, $99 ; x=9 y=10
!byte $01, $6A ; x=2 y=9
!byte $01, $72 ; x=10 y=9
!byte $01, $41 ; x=1 y=8
!byte $01, $4B ; x=11 y=8
!byte $01, $18 ; x=0 y=7
!byte $01, $E6 ; x=6 y=12
!byte $01, $BD ; x=5 y=11
!byte $01, $BF ; x=7 y=11
!byte $01, $94 ; x=4 y=10
!byte $01, $98 ; x=8 y=10
!byte $01, $6B ; x=3 y=9
!byte $01, $71 ; x=9 y=9
!byte $01, $42 ; x=2 y=8
!byte $01, $4A ; x=10 y=8
!byte $01, $19 ; x=1 y=7
!byte $01, $23 ; x=11 y=7
!byte $00, $F0 ; x=0 y=6
!byte $00, $FC ; x=12 y=6
!byte $01, $BE ; x=6 y=11
!byte $00, $D5 ; x=13 y=5
!byte $01, $95 ; x=5 y=10
!byte $01, $97 ; x=7 y=10
!byte $01, $6C ; x=4 y=9
!byte $01, $70 ; x=8 y=9
!byte $01, $43 ; x=3 y=8
!byte $01, $49 ; x=9 y=8
!byte $01, $1A ; x=2 y=7
!byte $01, $22 ; x=10 y=7
!byte $00, $F1 ; x=1 y=6
!byte $00, $FB ; x=11 y=6
!byte $00, $C8 ; x=0 y=5
!byte $00, $D4 ; x=12 y=5
!byte $01, $96 ; x=6 y=10
!byte $00, $AD ; x=13 y=4
!byte $01, $6D ; x=5 y=9
!byte $01, $6F ; x=7 y=9
!byte $01, $44 ; x=4 y=8
!byte $01, $48 ; x=8 y=8
!byte $01, $1B ; x=3 y=7
!byte $01, $21 ; x=9 y=7
!byte $00, $F2 ; x=2 y=6
!byte $00, $FA ; x=10 y=6
!byte $00, $C9 ; x=1 y=5
!byte $00, $D3 ; x=11 y=5
!byte $00, $A0 ; x=0 y=4
!byte $00, $AC ; x=12 y=4
!byte $01, $6E ; x=6 y=9
!byte $01, $47 ; x=7 y=8
!byte $01, $45 ; x=5 y=8
!byte $01, $20 ; x=8 y=7
!byte $01, $1C ; x=4 y=7
!byte $00, $F9 ; x=9 y=6
!byte $00, $F3 ; x=3 y=6
!byte $00, $D2 ; x=10 y=5
!byte $00, $CA ; x=2 y=5
!byte $00, $AB ; x=11 y=4
!byte $00, $A1 ; x=1 y=4
!byte $00, $84 ; x=12 y=3
!byte $00, $78 ; x=0 y=3
!byte $01, $46 ; x=6 y=8
!byte $01, $1D ; x=5 y=7
!byte $01, $1F ; x=7 y=7
!byte $00, $F4 ; x=4 y=6
!byte $00, $F8 ; x=8 y=6
!byte $00, $CB ; x=3 y=5
!byte $00, $D1 ; x=9 y=5
!byte $00, $A2 ; x=2 y=4
!byte $00, $AA ; x=10 y=4
!byte $00, $79 ; x=1 y=3
!byte $00, $83 ; x=11 y=3
!byte $00, $51 ; x=1 y=2
!byte $00, $5B ; x=11 y=2
!byte $01, $1E ; x=6 y=7
!byte $00, $F7 ; x=7 y=6
!byte $00, $F5 ; x=5 y=6
!byte $00, $D0 ; x=8 y=5
!byte $00, $CC ; x=4 y=5
!byte $00, $A9 ; x=9 y=4
!byte $00, $A3 ; x=3 y=4
!byte $00, $82 ; x=10 y=3
!byte $00, $7A ; x=2 y=3
!byte $00, $F6 ; x=6 y=6
!byte $00, $CD ; x=5 y=5
!byte $00, $CF ; x=7 y=5
!byte $00, $A4 ; x=4 y=4
!byte $00, $A8 ; x=8 y=4
!byte $00, $7B ; x=3 y=3
!byte $00, $81 ; x=9 y=3
!byte $00, $52 ; x=2 y=2
!byte $00, $5A ; x=10 y=2
!byte $00, $CE ; x=6 y=5
!byte $00, $A7 ; x=7 y=4
!byte $00, $A5 ; x=5 y=4
!byte $00, $80 ; x=8 y=3
!byte $00, $7C ; x=4 y=3
!byte $00, $59 ; x=9 y=2
!byte $00, $53 ; x=3 y=2
!byte $00, $31 ; x=9 y=1
!byte $00, $2A ; x=2 y=1
!byte $00, $A6 ; x=6 y=4
!byte $00, $7D ; x=5 y=3
!byte $00, $7F ; x=7 y=3
!byte $00, $54 ; x=4 y=2
!byte $00, $58 ; x=8 y=2
!byte $00, $2B ; x=3 y=1
!byte $00, $7E ; x=6 y=3
!byte $00, $55 ; x=5 y=2
!byte $00, $57 ; x=7 y=2
!byte $00, $2C ; x=4 y=1
!byte $00, $30 ; x=8 y=1
!byte $00, $56 ; x=6 y=2
!byte $00, $2D ; x=5 y=1
!byte $00, $2F ; x=7 y=1
!byte $00, $04 ; x=4 y=0
!byte $00, $2E ; x=6 y=1
!byte $00, $07 ; x=7 y=0
!byte $00, $05 ; x=5 y=0
!byte $00, $06 ; x=6 y=0
.faderdata_end:

.screendata:
  !byte 96,96,96,96,108,252,104,98,96,96,96,96,96,96,96,32,32,32,32,32,32,32,32,32,32,32,32,32,32,96,96,96,96,233,223,233,205,224,223,96
  !byte 96,96,104,255,126,32,32,32,226,127,96,96,96,96,96,32,32,32,32,32,32,32,32,32,32,32,32,32,32,96,96,96,233,205,224,224,206,205,224,223
  !byte 96,255,255,255,226,32,32,98,32,32,226,123,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,233,224,105,244,234,95,224,224,105
  !byte 123,108,126,108,32,32,32,32,127,32,73,225,108,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98
  !byte 168,225,32,32,127,32,32,98,104,126,104,104,92,251,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 231,255,32,32,225,108,226,123,98,104,108,123,220,255,224,224,105,233,105,78,111,111,78,96,105,78,96,105,78,78,96,105,78,100,100,233,224,224,224,224
  !byte 97,97,32,108,252,126,255,160,225,97,252,224,225,224,224,105,96,99,78,111,111,105,233,96,78,233,96,78,78,233,96,78,233,226,224,224,224,224,224,224
  !byte 246,92,32,255,104,252,226,126,254,160,98,126,160,224,105,233,105,78,96,96,78,233,105,78,233,105,78,78,233,105,78,96,99,233,224,224,224,224,224,224
  !byte 97,225,255,220,169,160,160,160,252,255,226,254,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 252,97,127,74,232,160,213,160,160,160,92,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 160,252,252,127,124,160,202,226,239,239,226,254,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 160,160,160,97,208,220,160,160,247,225,160,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,231,244,160,160,234,244,160,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,126,124,228,239,126,124,251,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,126,254,247,98,247,160,224,98,251,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,97,254,160,160,160,160,160,224,224,117,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,225,160,160,160,236,120,232,251,224,97,220,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,234,244,160,160,236,254,224,224,252,251,234,244,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,97,160,160,160,97,97,251,236,225,220,234,220,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,117,226,239,228,160,225,236,220,234,244,224,118,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,117,220,247,92,160,117,236,236,97,160,226,92,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,97,220,160,92,160,234,97,97,92,92,220,92,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,234,244,160,234,244,160,254,254,254,97,220,97,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,234,244,160,234,244,224,224,224,224,234,244,234,220,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,225,160,224,225,224,224,224,224,224,225,160,225,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224

  !align 2,0 ; IMPORTANT the colordata LO and HI has to be in the same INC !!
.colordata:
  !byte 15,15,15,15,12,12,15,15,15,15,15,15,15,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,15,15,2,1,1,1,1,1,1,1,6
  !byte 15,15,6,11,12,7,7,7,15,12,15,15,15,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,15,15,2,13,13,13,13,13,13,13,13
  !byte 15,6,11,11,11,7,7,6,7,7,12,12,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,5,5,5,5,5,5,5,5,5
  !byte 14,11,11,6,7,7,7,7,11,7,6,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,6,7,7,11,7,7,11,12,12,12,11,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,6,7,7,12,11,11,1,15,15,1,1,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,6,7,11,15,12,1,1,10,15,1,1,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,6,7,12,10,10,1,1,15,7,7,1,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,6,11,8,10,15,7,15,10,15,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,6,10,15,7,7,7,15,10,8,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,6,15,15,7,7,7,7,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 4,4,4,4,4,15,7,15,10,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,10,15,7,15,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,8,10,15,10,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,15,15,15,12,11,11,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,15,15,15,15,12,11,11,11,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,15,15,15,15,12,12,12,11,11,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,15,15,15,12,7,1,7,12,11,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 6,6,15,15,15,12,7,1,1,15,11,11,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,15,15,15,12,7,1,15,12,11,11,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,8,10,11,12,12,1,7,15,11,11,11,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,10,15,15,12,12,7,15,15,11,8,10,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,10,7,15,12,12,12,12,12,12,8,10,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,15,7,15,12,12,12,12,12,12,10,15,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,15,7,15,12,12,12,12,12,12,10,15,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6


