!zone fade_start
fade_start_isready
  !byte $00
fade_start_fade:
    clc
    lda .value1+1
    cmp #<.faderdata_end
    bne .fade_ok
    lda .value1+2
    cmp #>.faderdata_end
    bne .fade_ok
    lda #$01
    sta fade_start_isready
    rts

.fade_ok:
    clc
.value1:
    ldx .faderdata
.value2:
    ldy .faderdata+1

    clc
    txa
    adc #>.colordata
    sta .modvalue1+2

    clc
    txa
    adc #>.screendata
    sta .modvalue3+2

    clc
    tya
    adc #<.colordata
    sta .modvalue1+1
    bcc +
    inc .modvalue1+2
+
    clc
    tya
    adc #<.screendata
    sta .modvalue3+1
    bcc .ok3
    inc .modvalue3+2

.ok3:

    clc
    txa
    adc #>$d800
    sta .modvalue2+2

    clc
    txa
    adc #>screen
    sta .modvalue4+2

    clc
    tya
    adc #<$d800
    sta .modvalue2+1
    bcc +
    inc .modvalue2+2

+   clc
    tya
    adc #<screen
    sta .modvalue4+1
    bcc .ok4
    inc .modvalue4+2
.ok4:
    clc
.modvalue1:
    lda .colordata
.modvalue2:
    sta $d800
.modvalue3:
    lda .screendata
.modvalue4:
    sta screen
    clc
    lda .value1+1
    adc #$02
    sta .value1+1
    bcc .ok1
    inc .value1+2
.ok1:
    clc
    lda .value2+1
    adc #$02
    sta .value2+1
    bcc .ok2
    inc .value2+2
.ok2:
    clc
    rts

fade_start_copy_empty_screen:
    ldx #$fa
-
!for ROW, 0, 3 {
    lda empty_color+(ROW*$fa)-1,x
    sta .colordata+(ROW*$fa)-1,x
}
!for ROW, 0, 3 {
    lda empty_screen+(ROW*$fa)-1,x
    sta .screendata+(ROW*$fa)-1,x
}
    dex
    bne -

;    rts

fade_start_reset_animation:
    clc
    lda #<.faderdata
    sta .value1+1
    sta .value2+1
    lda #>.faderdata
    sta .value1+2
    sta .value2+2
    inc .value2+1
    lda #$00
    sta fade_start_isready
    rts

fade_start_fill_screencolor_with_a:
    ldx #$fa
-
!for ROW, 0, 3 {
    sta .colordata+(ROW*$fa)-1,x
}
    dex
    bne -
    rts

!align 2,0 ; IMPORTANT the faderdata LO and HI has to be in the same INC !!
.faderdata:
!byte $03, $48 ; x=0 y=21
!byte $02, $A8 ; x=0 y=17
!byte $02, $08 ; x=0 y=13
!byte $01, $68 ; x=0 y=9
!byte $00, $C8 ; x=0 y=5
!byte $00, $28 ; x=0 y=1
!byte $03, $99 ; x=1 y=23
!byte $02, $F9 ; x=1 y=19
!byte $02, $59 ; x=1 y=15
!byte $01, $B9 ; x=1 y=11
!byte $01, $19 ; x=1 y=7
!byte $00, $79 ; x=1 y=3
!byte $03, $C0 ; x=0 y=24
!byte $03, $20 ; x=0 y=20
!byte $02, $80 ; x=0 y=16
!byte $01, $E0 ; x=0 y=12
!byte $01, $40 ; x=0 y=8
!byte $00, $A0 ; x=0 y=4
!byte $00, $00 ; x=0 y=0
!byte $03, $71 ; x=1 y=22
!byte $02, $D1 ; x=1 y=18
!byte $02, $31 ; x=1 y=14
!byte $01, $91 ; x=1 y=10
!byte $00, $F1 ; x=1 y=6
!byte $00, $51 ; x=1 y=2
!byte $03, $4A ; x=2 y=21
!byte $02, $AA ; x=2 y=17
!byte $02, $0A ; x=2 y=13
!byte $01, $6A ; x=2 y=9
!byte $00, $CA ; x=2 y=5
!byte $00, $2A ; x=2 y=1
!byte $03, $9B ; x=3 y=23
!byte $02, $FB ; x=3 y=19
!byte $02, $5B ; x=3 y=15
!byte $01, $BB ; x=3 y=11
!byte $01, $1B ; x=3 y=7
!byte $00, $7B ; x=3 y=3
!byte $03, $70 ; x=0 y=22
!byte $02, $D0 ; x=0 y=18
!byte $02, $30 ; x=0 y=14
!byte $01, $90 ; x=0 y=10
!byte $00, $F0 ; x=0 y=6
!byte $00, $50 ; x=0 y=2
!byte $03, $49 ; x=1 y=21
!byte $02, $A9 ; x=1 y=17
!byte $02, $09 ; x=1 y=13
!byte $01, $69 ; x=1 y=9
!byte $00, $C9 ; x=1 y=5
!byte $00, $29 ; x=1 y=1
!byte $03, $C2 ; x=2 y=24
!byte $03, $22 ; x=2 y=20
!byte $02, $82 ; x=2 y=16
!byte $01, $E2 ; x=2 y=12
!byte $01, $42 ; x=2 y=8
!byte $00, $A2 ; x=2 y=4
!byte $00, $02 ; x=2 y=0
!byte $03, $73 ; x=3 y=22
!byte $02, $D3 ; x=3 y=18
!byte $02, $33 ; x=3 y=14
!byte $01, $93 ; x=3 y=10
!byte $00, $F3 ; x=3 y=6
!byte $00, $53 ; x=3 y=2
!byte $03, $4C ; x=4 y=21
!byte $02, $AC ; x=4 y=17
!byte $02, $0C ; x=4 y=13
!byte $01, $6C ; x=4 y=9
!byte $00, $CC ; x=4 y=5
!byte $00, $2C ; x=4 y=1
!byte $03, $9D ; x=5 y=23
!byte $02, $FD ; x=5 y=19
!byte $02, $5D ; x=5 y=15
!byte $01, $BD ; x=5 y=11
!byte $01, $1D ; x=5 y=7
!byte $00, $7D ; x=5 y=3
!byte $03, $98 ; x=0 y=23
!byte $02, $F8 ; x=0 y=19
!byte $02, $58 ; x=0 y=15
!byte $01, $B8 ; x=0 y=11
!byte $01, $18 ; x=0 y=7
!byte $00, $78 ; x=0 y=3
!byte $03, $C1 ; x=1 y=24
!byte $03, $21 ; x=1 y=20
!byte $02, $81 ; x=1 y=16
!byte $01, $E1 ; x=1 y=12
!byte $01, $41 ; x=1 y=8
!byte $00, $A1 ; x=1 y=4
!byte $00, $01 ; x=1 y=0
!byte $03, $72 ; x=2 y=22
!byte $02, $D2 ; x=2 y=18
!byte $02, $32 ; x=2 y=14
!byte $01, $92 ; x=2 y=10
!byte $00, $F2 ; x=2 y=6
!byte $00, $52 ; x=2 y=2
!byte $03, $4B ; x=3 y=21
!byte $02, $AB ; x=3 y=17
!byte $02, $0B ; x=3 y=13
!byte $01, $6B ; x=3 y=9
!byte $00, $CB ; x=3 y=5
!byte $00, $2B ; x=3 y=1
!byte $03, $C4 ; x=4 y=24
!byte $03, $24 ; x=4 y=20
!byte $02, $84 ; x=4 y=16
!byte $01, $E4 ; x=4 y=12
!byte $01, $44 ; x=4 y=8
!byte $00, $A4 ; x=4 y=4
!byte $00, $04 ; x=4 y=0
!byte $03, $75 ; x=5 y=22
!byte $02, $D5 ; x=5 y=18
!byte $02, $35 ; x=5 y=14
!byte $01, $95 ; x=5 y=10
!byte $00, $F5 ; x=5 y=6
!byte $00, $55 ; x=5 y=2
!byte $03, $4E ; x=6 y=21
!byte $02, $AE ; x=6 y=17
!byte $02, $0E ; x=6 y=13
!byte $01, $6E ; x=6 y=9
!byte $00, $CE ; x=6 y=5
!byte $00, $2E ; x=6 y=1
!byte $03, $9F ; x=7 y=23
!byte $02, $FF ; x=7 y=19
!byte $02, $5F ; x=7 y=15
!byte $01, $BF ; x=7 y=11
!byte $01, $1F ; x=7 y=7
!byte $00, $7F ; x=7 y=3
!byte $03, $9A ; x=2 y=23
!byte $02, $FA ; x=2 y=19
!byte $02, $5A ; x=2 y=15
!byte $01, $BA ; x=2 y=11
!byte $01, $1A ; x=2 y=7
!byte $00, $7A ; x=2 y=3
!byte $03, $C3 ; x=3 y=24
!byte $03, $23 ; x=3 y=20
!byte $02, $83 ; x=3 y=16
!byte $01, $E3 ; x=3 y=12
!byte $01, $43 ; x=3 y=8
!byte $00, $A3 ; x=3 y=4
!byte $00, $03 ; x=3 y=0
!byte $03, $74 ; x=4 y=22
!byte $02, $D4 ; x=4 y=18
!byte $02, $34 ; x=4 y=14
!byte $01, $94 ; x=4 y=10
!byte $00, $F4 ; x=4 y=6
!byte $00, $54 ; x=4 y=2
!byte $03, $4D ; x=5 y=21
!byte $02, $AD ; x=5 y=17
!byte $02, $0D ; x=5 y=13
!byte $01, $6D ; x=5 y=9
!byte $00, $CD ; x=5 y=5
!byte $00, $2D ; x=5 y=1
!byte $03, $C6 ; x=6 y=24
!byte $03, $26 ; x=6 y=20
!byte $02, $86 ; x=6 y=16
!byte $01, $E6 ; x=6 y=12
!byte $01, $46 ; x=6 y=8
!byte $00, $A6 ; x=6 y=4
!byte $00, $06 ; x=6 y=0
!byte $03, $77 ; x=7 y=22
!byte $02, $D7 ; x=7 y=18
!byte $02, $37 ; x=7 y=14
!byte $01, $97 ; x=7 y=10
!byte $00, $F7 ; x=7 y=6
!byte $00, $57 ; x=7 y=2
!byte $03, $50 ; x=8 y=21
!byte $02, $B0 ; x=8 y=17
!byte $02, $10 ; x=8 y=13
!byte $01, $70 ; x=8 y=9
!byte $00, $D0 ; x=8 y=5
!byte $00, $30 ; x=8 y=1
!byte $03, $A1 ; x=9 y=23
!byte $03, $01 ; x=9 y=19
!byte $02, $61 ; x=9 y=15
!byte $01, $C1 ; x=9 y=11
!byte $01, $21 ; x=9 y=7
!byte $00, $81 ; x=9 y=3
!byte $03, $9C ; x=4 y=23
!byte $02, $FC ; x=4 y=19
!byte $02, $5C ; x=4 y=15
!byte $01, $BC ; x=4 y=11
!byte $01, $1C ; x=4 y=7
!byte $00, $7C ; x=4 y=3
!byte $00, $05 ; x=5 y=0
!byte $03, $C5 ; x=5 y=24
!byte $03, $25 ; x=5 y=20
!byte $02, $85 ; x=5 y=16
!byte $01, $E5 ; x=5 y=12
!byte $01, $45 ; x=5 y=8
!byte $00, $A5 ; x=5 y=4
!byte $03, $76 ; x=6 y=22
!byte $02, $D6 ; x=6 y=18
!byte $02, $36 ; x=6 y=14
!byte $01, $96 ; x=6 y=10
!byte $00, $F6 ; x=6 y=6
!byte $00, $56 ; x=6 y=2
!byte $03, $4F ; x=7 y=21
!byte $02, $AF ; x=7 y=17
!byte $02, $0F ; x=7 y=13
!byte $01, $6F ; x=7 y=9
!byte $00, $CF ; x=7 y=5
!byte $00, $2F ; x=7 y=1
!byte $03, $C8 ; x=8 y=24
!byte $03, $28 ; x=8 y=20
!byte $02, $88 ; x=8 y=16
!byte $01, $E8 ; x=8 y=12
!byte $01, $48 ; x=8 y=8
!byte $00, $A8 ; x=8 y=4
!byte $00, $08 ; x=8 y=0
!byte $03, $79 ; x=9 y=22
!byte $02, $D9 ; x=9 y=18
!byte $02, $39 ; x=9 y=14
!byte $01, $99 ; x=9 y=10
!byte $00, $F9 ; x=9 y=6
!byte $00, $59 ; x=9 y=2
!byte $03, $52 ; x=10 y=21
!byte $02, $B2 ; x=10 y=17
!byte $02, $12 ; x=10 y=13
!byte $01, $72 ; x=10 y=9
!byte $00, $D2 ; x=10 y=5
!byte $00, $32 ; x=10 y=1
!byte $03, $A3 ; x=11 y=23
!byte $03, $03 ; x=11 y=19
!byte $02, $63 ; x=11 y=15
!byte $01, $C3 ; x=11 y=11
!byte $01, $23 ; x=11 y=7
!byte $00, $83 ; x=11 y=3
!byte $03, $9E ; x=6 y=23
!byte $02, $FE ; x=6 y=19
!byte $02, $5E ; x=6 y=15
!byte $01, $BE ; x=6 y=11
!byte $01, $1E ; x=6 y=7
!byte $00, $7E ; x=6 y=3
!byte $03, $C7 ; x=7 y=24
!byte $03, $27 ; x=7 y=20
!byte $02, $87 ; x=7 y=16
!byte $01, $E7 ; x=7 y=12
!byte $01, $47 ; x=7 y=8
!byte $00, $A7 ; x=7 y=4
!byte $00, $07 ; x=7 y=0
!byte $03, $78 ; x=8 y=22
!byte $02, $D8 ; x=8 y=18
!byte $02, $38 ; x=8 y=14
!byte $01, $98 ; x=8 y=10
!byte $00, $F8 ; x=8 y=6
!byte $00, $58 ; x=8 y=2
!byte $03, $51 ; x=9 y=21
!byte $02, $B1 ; x=9 y=17
!byte $02, $11 ; x=9 y=13
!byte $01, $71 ; x=9 y=9
!byte $00, $D1 ; x=9 y=5
!byte $00, $31 ; x=9 y=1
!byte $03, $CA ; x=10 y=24
!byte $03, $2A ; x=10 y=20
!byte $02, $8A ; x=10 y=16
!byte $01, $EA ; x=10 y=12
!byte $01, $4A ; x=10 y=8
!byte $00, $AA ; x=10 y=4
!byte $00, $0A ; x=10 y=0
!byte $03, $7B ; x=11 y=22
!byte $02, $DB ; x=11 y=18
!byte $02, $3B ; x=11 y=14
!byte $01, $9B ; x=11 y=10
!byte $00, $FB ; x=11 y=6
!byte $00, $5B ; x=11 y=2
!byte $03, $54 ; x=12 y=21
!byte $02, $B4 ; x=12 y=17
!byte $02, $14 ; x=12 y=13
!byte $01, $74 ; x=12 y=9
!byte $00, $D4 ; x=12 y=5
!byte $00, $34 ; x=12 y=1
!byte $03, $A5 ; x=13 y=23
!byte $03, $05 ; x=13 y=19
!byte $02, $65 ; x=13 y=15
!byte $01, $C5 ; x=13 y=11
!byte $01, $25 ; x=13 y=7
!byte $00, $85 ; x=13 y=3
!byte $03, $A0 ; x=8 y=23
!byte $03, $00 ; x=8 y=19
!byte $02, $60 ; x=8 y=15
!byte $01, $C0 ; x=8 y=11
!byte $01, $20 ; x=8 y=7
!byte $00, $80 ; x=8 y=3
!byte $03, $C9 ; x=9 y=24
!byte $03, $29 ; x=9 y=20
!byte $02, $89 ; x=9 y=16
!byte $01, $E9 ; x=9 y=12
!byte $01, $49 ; x=9 y=8
!byte $00, $A9 ; x=9 y=4
!byte $00, $09 ; x=9 y=0
!byte $03, $7A ; x=10 y=22
!byte $02, $DA ; x=10 y=18
!byte $02, $3A ; x=10 y=14
!byte $01, $9A ; x=10 y=10
!byte $00, $FA ; x=10 y=6
!byte $00, $5A ; x=10 y=2
!byte $03, $53 ; x=11 y=21
!byte $02, $B3 ; x=11 y=17
!byte $02, $13 ; x=11 y=13
!byte $01, $73 ; x=11 y=9
!byte $00, $D3 ; x=11 y=5
!byte $00, $33 ; x=11 y=1
!byte $03, $CC ; x=12 y=24
!byte $03, $2C ; x=12 y=20
!byte $02, $8C ; x=12 y=16
!byte $01, $EC ; x=12 y=12
!byte $01, $4C ; x=12 y=8
!byte $00, $AC ; x=12 y=4
!byte $00, $0C ; x=12 y=0
!byte $03, $7D ; x=13 y=22
!byte $02, $DD ; x=13 y=18
!byte $02, $3D ; x=13 y=14
!byte $01, $9D ; x=13 y=10
!byte $00, $FD ; x=13 y=6
!byte $00, $5D ; x=13 y=2
!byte $03, $56 ; x=14 y=21
!byte $02, $B6 ; x=14 y=17
!byte $02, $16 ; x=14 y=13
!byte $01, $76 ; x=14 y=9
!byte $00, $D6 ; x=14 y=5
!byte $00, $36 ; x=14 y=1
!byte $03, $A7 ; x=15 y=23
!byte $03, $07 ; x=15 y=19
!byte $02, $67 ; x=15 y=15
!byte $01, $C7 ; x=15 y=11
!byte $01, $27 ; x=15 y=7
!byte $00, $87 ; x=15 y=3
!byte $03, $A2 ; x=10 y=23
!byte $03, $02 ; x=10 y=19
!byte $02, $62 ; x=10 y=15
!byte $01, $C2 ; x=10 y=11
!byte $01, $22 ; x=10 y=7
!byte $00, $82 ; x=10 y=3
!byte $03, $CB ; x=11 y=24
!byte $03, $2B ; x=11 y=20
!byte $02, $8B ; x=11 y=16
!byte $01, $EB ; x=11 y=12
!byte $01, $4B ; x=11 y=8
!byte $00, $AB ; x=11 y=4
!byte $00, $0B ; x=11 y=0
!byte $03, $7C ; x=12 y=22
!byte $02, $DC ; x=12 y=18
!byte $02, $3C ; x=12 y=14
!byte $01, $9C ; x=12 y=10
!byte $00, $FC ; x=12 y=6
!byte $00, $5C ; x=12 y=2
!byte $03, $55 ; x=13 y=21
!byte $02, $B5 ; x=13 y=17
!byte $02, $15 ; x=13 y=13
!byte $01, $75 ; x=13 y=9
!byte $00, $D5 ; x=13 y=5
!byte $00, $35 ; x=13 y=1
!byte $03, $CE ; x=14 y=24
!byte $03, $2E ; x=14 y=20
!byte $02, $8E ; x=14 y=16
!byte $01, $EE ; x=14 y=12
!byte $01, $4E ; x=14 y=8
!byte $00, $AE ; x=14 y=4
!byte $00, $0E ; x=14 y=0
!byte $03, $7F ; x=15 y=22
!byte $02, $DF ; x=15 y=18
!byte $02, $3F ; x=15 y=14
!byte $01, $9F ; x=15 y=10
!byte $00, $FF ; x=15 y=6
!byte $00, $5F ; x=15 y=2
!byte $03, $58 ; x=16 y=21
!byte $02, $B8 ; x=16 y=17
!byte $02, $18 ; x=16 y=13
!byte $01, $78 ; x=16 y=9
!byte $00, $D8 ; x=16 y=5
!byte $00, $38 ; x=16 y=1
!byte $03, $A9 ; x=17 y=23
!byte $03, $09 ; x=17 y=19
!byte $02, $69 ; x=17 y=15
!byte $01, $C9 ; x=17 y=11
!byte $01, $29 ; x=17 y=7
!byte $00, $89 ; x=17 y=3
!byte $03, $A4 ; x=12 y=23
!byte $03, $04 ; x=12 y=19
!byte $02, $64 ; x=12 y=15
!byte $01, $C4 ; x=12 y=11
!byte $01, $24 ; x=12 y=7
!byte $00, $84 ; x=12 y=3
!byte $03, $CD ; x=13 y=24
!byte $03, $2D ; x=13 y=20
!byte $02, $8D ; x=13 y=16
!byte $01, $ED ; x=13 y=12
!byte $01, $4D ; x=13 y=8
!byte $00, $AD ; x=13 y=4
!byte $00, $0D ; x=13 y=0
!byte $03, $7E ; x=14 y=22
!byte $02, $DE ; x=14 y=18
!byte $02, $3E ; x=14 y=14
!byte $01, $9E ; x=14 y=10
!byte $00, $FE ; x=14 y=6
!byte $00, $5E ; x=14 y=2
!byte $03, $57 ; x=15 y=21
!byte $02, $B7 ; x=15 y=17
!byte $02, $17 ; x=15 y=13
!byte $01, $77 ; x=15 y=9
!byte $00, $D7 ; x=15 y=5
!byte $00, $37 ; x=15 y=1
!byte $03, $D0 ; x=16 y=24
!byte $03, $30 ; x=16 y=20
!byte $02, $90 ; x=16 y=16
!byte $01, $F0 ; x=16 y=12
!byte $01, $50 ; x=16 y=8
!byte $00, $B0 ; x=16 y=4
!byte $00, $10 ; x=16 y=0
!byte $03, $81 ; x=17 y=22
!byte $02, $E1 ; x=17 y=18
!byte $02, $41 ; x=17 y=14
!byte $01, $A1 ; x=17 y=10
!byte $01, $01 ; x=17 y=6
!byte $00, $61 ; x=17 y=2
!byte $03, $5A ; x=18 y=21
!byte $02, $BA ; x=18 y=17
!byte $02, $1A ; x=18 y=13
!byte $01, $7A ; x=18 y=9
!byte $00, $DA ; x=18 y=5
!byte $00, $3A ; x=18 y=1
!byte $03, $AB ; x=19 y=23
!byte $03, $0B ; x=19 y=19
!byte $02, $6B ; x=19 y=15
!byte $01, $CB ; x=19 y=11
!byte $01, $2B ; x=19 y=7
!byte $00, $8B ; x=19 y=3
!byte $03, $A6 ; x=14 y=23
!byte $03, $06 ; x=14 y=19
!byte $02, $66 ; x=14 y=15
!byte $01, $C6 ; x=14 y=11
!byte $01, $26 ; x=14 y=7
!byte $00, $86 ; x=14 y=3
!byte $03, $CF ; x=15 y=24
!byte $03, $2F ; x=15 y=20
!byte $02, $8F ; x=15 y=16
!byte $01, $EF ; x=15 y=12
!byte $01, $4F ; x=15 y=8
!byte $00, $AF ; x=15 y=4
!byte $00, $0F ; x=15 y=0
!byte $03, $80 ; x=16 y=22
!byte $02, $E0 ; x=16 y=18
!byte $02, $40 ; x=16 y=14
!byte $01, $A0 ; x=16 y=10
!byte $01, $00 ; x=16 y=6
!byte $00, $60 ; x=16 y=2
!byte $03, $59 ; x=17 y=21
!byte $02, $B9 ; x=17 y=17
!byte $02, $19 ; x=17 y=13
!byte $01, $79 ; x=17 y=9
!byte $00, $D9 ; x=17 y=5
!byte $00, $39 ; x=17 y=1
!byte $03, $D2 ; x=18 y=24
!byte $03, $32 ; x=18 y=20
!byte $02, $92 ; x=18 y=16
!byte $01, $F2 ; x=18 y=12
!byte $01, $52 ; x=18 y=8
!byte $00, $B2 ; x=18 y=4
!byte $00, $12 ; x=18 y=0
!byte $03, $83 ; x=19 y=22
!byte $02, $E3 ; x=19 y=18
!byte $02, $43 ; x=19 y=14
!byte $01, $A3 ; x=19 y=10
!byte $01, $03 ; x=19 y=6
!byte $00, $63 ; x=19 y=2
!byte $03, $5C ; x=20 y=21
!byte $02, $BC ; x=20 y=17
!byte $02, $1C ; x=20 y=13
!byte $01, $7C ; x=20 y=9
!byte $00, $DC ; x=20 y=5
!byte $00, $3C ; x=20 y=1
!byte $03, $AD ; x=21 y=23
!byte $03, $0D ; x=21 y=19
!byte $02, $6D ; x=21 y=15
!byte $01, $CD ; x=21 y=11
!byte $01, $2D ; x=21 y=7
!byte $00, $8D ; x=21 y=3
!byte $03, $A8 ; x=16 y=23
!byte $03, $08 ; x=16 y=19
!byte $02, $68 ; x=16 y=15
!byte $01, $C8 ; x=16 y=11
!byte $01, $28 ; x=16 y=7
!byte $00, $88 ; x=16 y=3
!byte $03, $D1 ; x=17 y=24
!byte $03, $31 ; x=17 y=20
!byte $02, $91 ; x=17 y=16
!byte $01, $F1 ; x=17 y=12
!byte $01, $51 ; x=17 y=8
!byte $00, $B1 ; x=17 y=4
!byte $00, $11 ; x=17 y=0
!byte $03, $82 ; x=18 y=22
!byte $02, $E2 ; x=18 y=18
!byte $02, $42 ; x=18 y=14
!byte $01, $A2 ; x=18 y=10
!byte $01, $02 ; x=18 y=6
!byte $00, $62 ; x=18 y=2
!byte $03, $5B ; x=19 y=21
!byte $02, $BB ; x=19 y=17
!byte $02, $1B ; x=19 y=13
!byte $01, $7B ; x=19 y=9
!byte $00, $DB ; x=19 y=5
!byte $00, $3B ; x=19 y=1
!byte $03, $D4 ; x=20 y=24
!byte $03, $34 ; x=20 y=20
!byte $02, $94 ; x=20 y=16
!byte $01, $F4 ; x=20 y=12
!byte $01, $54 ; x=20 y=8
!byte $00, $B4 ; x=20 y=4
!byte $00, $14 ; x=20 y=0
!byte $03, $85 ; x=21 y=22
!byte $02, $E5 ; x=21 y=18
!byte $02, $45 ; x=21 y=14
!byte $01, $A5 ; x=21 y=10
!byte $01, $05 ; x=21 y=6
!byte $00, $65 ; x=21 y=2
!byte $03, $5E ; x=22 y=21
!byte $02, $BE ; x=22 y=17
!byte $02, $1E ; x=22 y=13
!byte $01, $7E ; x=22 y=9
!byte $00, $DE ; x=22 y=5
!byte $00, $3E ; x=22 y=1
!byte $03, $AF ; x=23 y=23
!byte $03, $0F ; x=23 y=19
!byte $02, $6F ; x=23 y=15
!byte $01, $CF ; x=23 y=11
!byte $01, $2F ; x=23 y=7
!byte $00, $8F ; x=23 y=3
!byte $03, $AA ; x=18 y=23
!byte $03, $0A ; x=18 y=19
!byte $02, $6A ; x=18 y=15
!byte $01, $CA ; x=18 y=11
!byte $01, $2A ; x=18 y=7
!byte $00, $8A ; x=18 y=3
!byte $03, $D3 ; x=19 y=24
!byte $03, $33 ; x=19 y=20
!byte $02, $93 ; x=19 y=16
!byte $01, $F3 ; x=19 y=12
!byte $01, $53 ; x=19 y=8
!byte $00, $B3 ; x=19 y=4
!byte $00, $13 ; x=19 y=0
!byte $03, $84 ; x=20 y=22
!byte $02, $E4 ; x=20 y=18
!byte $02, $44 ; x=20 y=14
!byte $01, $A4 ; x=20 y=10
!byte $01, $04 ; x=20 y=6
!byte $00, $64 ; x=20 y=2
!byte $03, $5D ; x=21 y=21
!byte $02, $BD ; x=21 y=17
!byte $02, $1D ; x=21 y=13
!byte $01, $7D ; x=21 y=9
!byte $00, $DD ; x=21 y=5
!byte $00, $3D ; x=21 y=1
!byte $03, $D6 ; x=22 y=24
!byte $03, $36 ; x=22 y=20
!byte $02, $96 ; x=22 y=16
!byte $01, $F6 ; x=22 y=12
!byte $01, $56 ; x=22 y=8
!byte $00, $B6 ; x=22 y=4
!byte $00, $16 ; x=22 y=0
!byte $03, $87 ; x=23 y=22
!byte $02, $E7 ; x=23 y=18
!byte $02, $47 ; x=23 y=14
!byte $01, $A7 ; x=23 y=10
!byte $01, $07 ; x=23 y=6
!byte $00, $67 ; x=23 y=2
!byte $03, $60 ; x=24 y=21
!byte $02, $C0 ; x=24 y=17
!byte $02, $20 ; x=24 y=13
!byte $01, $80 ; x=24 y=9
!byte $00, $E0 ; x=24 y=5
!byte $00, $40 ; x=24 y=1
!byte $03, $B1 ; x=25 y=23
!byte $03, $11 ; x=25 y=19
!byte $02, $71 ; x=25 y=15
!byte $01, $D1 ; x=25 y=11
!byte $01, $31 ; x=25 y=7
!byte $00, $91 ; x=25 y=3
!byte $03, $AC ; x=20 y=23
!byte $03, $0C ; x=20 y=19
!byte $02, $6C ; x=20 y=15
!byte $01, $CC ; x=20 y=11
!byte $01, $2C ; x=20 y=7
!byte $00, $8C ; x=20 y=3
!byte $03, $D5 ; x=21 y=24
!byte $03, $35 ; x=21 y=20
!byte $02, $95 ; x=21 y=16
!byte $01, $F5 ; x=21 y=12
!byte $01, $55 ; x=21 y=8
!byte $00, $B5 ; x=21 y=4
!byte $00, $15 ; x=21 y=0
!byte $03, $86 ; x=22 y=22
!byte $02, $E6 ; x=22 y=18
!byte $02, $46 ; x=22 y=14
!byte $01, $A6 ; x=22 y=10
!byte $01, $06 ; x=22 y=6
!byte $00, $66 ; x=22 y=2
!byte $03, $5F ; x=23 y=21
!byte $02, $BF ; x=23 y=17
!byte $02, $1F ; x=23 y=13
!byte $01, $7F ; x=23 y=9
!byte $00, $DF ; x=23 y=5
!byte $00, $3F ; x=23 y=1
!byte $03, $D8 ; x=24 y=24
!byte $03, $38 ; x=24 y=20
!byte $02, $98 ; x=24 y=16
!byte $01, $F8 ; x=24 y=12
!byte $01, $58 ; x=24 y=8
!byte $00, $B8 ; x=24 y=4
!byte $00, $18 ; x=24 y=0
!byte $03, $89 ; x=25 y=22
!byte $02, $E9 ; x=25 y=18
!byte $02, $49 ; x=25 y=14
!byte $01, $A9 ; x=25 y=10
!byte $01, $09 ; x=25 y=6
!byte $00, $69 ; x=25 y=2
!byte $03, $62 ; x=26 y=21
!byte $02, $C2 ; x=26 y=17
!byte $02, $22 ; x=26 y=13
!byte $01, $82 ; x=26 y=9
!byte $00, $E2 ; x=26 y=5
!byte $00, $42 ; x=26 y=1
!byte $03, $B3 ; x=27 y=23
!byte $03, $13 ; x=27 y=19
!byte $02, $73 ; x=27 y=15
!byte $01, $D3 ; x=27 y=11
!byte $01, $33 ; x=27 y=7
!byte $00, $93 ; x=27 y=3
!byte $03, $AE ; x=22 y=23
!byte $03, $0E ; x=22 y=19
!byte $02, $6E ; x=22 y=15
!byte $01, $CE ; x=22 y=11
!byte $01, $2E ; x=22 y=7
!byte $00, $8E ; x=22 y=3
!byte $03, $D7 ; x=23 y=24
!byte $03, $37 ; x=23 y=20
!byte $02, $97 ; x=23 y=16
!byte $01, $F7 ; x=23 y=12
!byte $01, $57 ; x=23 y=8
!byte $00, $B7 ; x=23 y=4
!byte $00, $17 ; x=23 y=0
!byte $03, $88 ; x=24 y=22
!byte $02, $E8 ; x=24 y=18
!byte $02, $48 ; x=24 y=14
!byte $01, $A8 ; x=24 y=10
!byte $01, $08 ; x=24 y=6
!byte $00, $68 ; x=24 y=2
!byte $03, $61 ; x=25 y=21
!byte $02, $C1 ; x=25 y=17
!byte $02, $21 ; x=25 y=13
!byte $01, $81 ; x=25 y=9
!byte $00, $E1 ; x=25 y=5
!byte $00, $41 ; x=25 y=1
!byte $03, $DA ; x=26 y=24
!byte $03, $3A ; x=26 y=20
!byte $02, $9A ; x=26 y=16
!byte $01, $FA ; x=26 y=12
!byte $01, $5A ; x=26 y=8
!byte $00, $BA ; x=26 y=4
!byte $00, $1A ; x=26 y=0
!byte $03, $8B ; x=27 y=22
!byte $02, $EB ; x=27 y=18
!byte $02, $4B ; x=27 y=14
!byte $01, $AB ; x=27 y=10
!byte $01, $0B ; x=27 y=6
!byte $00, $6B ; x=27 y=2
!byte $03, $64 ; x=28 y=21
!byte $02, $C4 ; x=28 y=17
!byte $02, $24 ; x=28 y=13
!byte $01, $84 ; x=28 y=9
!byte $00, $E4 ; x=28 y=5
!byte $00, $44 ; x=28 y=1
!byte $03, $B5 ; x=29 y=23
!byte $03, $15 ; x=29 y=19
!byte $02, $75 ; x=29 y=15
!byte $01, $D5 ; x=29 y=11
!byte $01, $35 ; x=29 y=7
!byte $00, $95 ; x=29 y=3
!byte $03, $B0 ; x=24 y=23
!byte $03, $10 ; x=24 y=19
!byte $02, $70 ; x=24 y=15
!byte $01, $D0 ; x=24 y=11
!byte $01, $30 ; x=24 y=7
!byte $00, $90 ; x=24 y=3
!byte $03, $D9 ; x=25 y=24
!byte $03, $39 ; x=25 y=20
!byte $02, $99 ; x=25 y=16
!byte $01, $F9 ; x=25 y=12
!byte $01, $59 ; x=25 y=8
!byte $00, $B9 ; x=25 y=4
!byte $00, $19 ; x=25 y=0
!byte $03, $8A ; x=26 y=22
!byte $02, $EA ; x=26 y=18
!byte $02, $4A ; x=26 y=14
!byte $01, $AA ; x=26 y=10
!byte $01, $0A ; x=26 y=6
!byte $00, $6A ; x=26 y=2
!byte $03, $63 ; x=27 y=21
!byte $02, $C3 ; x=27 y=17
!byte $02, $23 ; x=27 y=13
!byte $01, $83 ; x=27 y=9
!byte $00, $E3 ; x=27 y=5
!byte $00, $43 ; x=27 y=1
!byte $03, $DC ; x=28 y=24
!byte $03, $3C ; x=28 y=20
!byte $02, $9C ; x=28 y=16
!byte $01, $FC ; x=28 y=12
!byte $01, $5C ; x=28 y=8
!byte $00, $BC ; x=28 y=4
!byte $00, $1C ; x=28 y=0
!byte $03, $8D ; x=29 y=22
!byte $02, $ED ; x=29 y=18
!byte $02, $4D ; x=29 y=14
!byte $01, $AD ; x=29 y=10
!byte $01, $0D ; x=29 y=6
!byte $00, $6D ; x=29 y=2
!byte $03, $66 ; x=30 y=21
!byte $02, $C6 ; x=30 y=17
!byte $02, $26 ; x=30 y=13
!byte $01, $86 ; x=30 y=9
!byte $00, $E6 ; x=30 y=5
!byte $00, $46 ; x=30 y=1
!byte $03, $B7 ; x=31 y=23
!byte $03, $17 ; x=31 y=19
!byte $02, $77 ; x=31 y=15
!byte $01, $D7 ; x=31 y=11
!byte $01, $37 ; x=31 y=7
!byte $00, $97 ; x=31 y=3
!byte $03, $B2 ; x=26 y=23
!byte $03, $12 ; x=26 y=19
!byte $02, $72 ; x=26 y=15
!byte $01, $D2 ; x=26 y=11
!byte $01, $32 ; x=26 y=7
!byte $00, $92 ; x=26 y=3
!byte $03, $DB ; x=27 y=24
!byte $03, $3B ; x=27 y=20
!byte $02, $9B ; x=27 y=16
!byte $01, $FB ; x=27 y=12
!byte $01, $5B ; x=27 y=8
!byte $00, $BB ; x=27 y=4
!byte $00, $1B ; x=27 y=0
!byte $03, $8C ; x=28 y=22
!byte $02, $EC ; x=28 y=18
!byte $02, $4C ; x=28 y=14
!byte $01, $AC ; x=28 y=10
!byte $01, $0C ; x=28 y=6
!byte $00, $6C ; x=28 y=2
!byte $03, $65 ; x=29 y=21
!byte $02, $C5 ; x=29 y=17
!byte $02, $25 ; x=29 y=13
!byte $01, $85 ; x=29 y=9
!byte $00, $E5 ; x=29 y=5
!byte $00, $45 ; x=29 y=1
!byte $03, $DE ; x=30 y=24
!byte $03, $3E ; x=30 y=20
!byte $02, $9E ; x=30 y=16
!byte $01, $FE ; x=30 y=12
!byte $01, $5E ; x=30 y=8
!byte $00, $BE ; x=30 y=4
!byte $00, $1E ; x=30 y=0
!byte $03, $8F ; x=31 y=22
!byte $02, $EF ; x=31 y=18
!byte $02, $4F ; x=31 y=14
!byte $01, $AF ; x=31 y=10
!byte $01, $0F ; x=31 y=6
!byte $00, $6F ; x=31 y=2
!byte $03, $68 ; x=32 y=21
!byte $02, $C8 ; x=32 y=17
!byte $02, $28 ; x=32 y=13
!byte $01, $88 ; x=32 y=9
!byte $00, $E8 ; x=32 y=5
!byte $00, $48 ; x=32 y=1
!byte $03, $B9 ; x=33 y=23
!byte $03, $19 ; x=33 y=19
!byte $02, $79 ; x=33 y=15
!byte $01, $D9 ; x=33 y=11
!byte $01, $39 ; x=33 y=7
!byte $00, $99 ; x=33 y=3
!byte $03, $B4 ; x=28 y=23
!byte $03, $14 ; x=28 y=19
!byte $02, $74 ; x=28 y=15
!byte $01, $D4 ; x=28 y=11
!byte $01, $34 ; x=28 y=7
!byte $00, $94 ; x=28 y=3
!byte $03, $DD ; x=29 y=24
!byte $03, $3D ; x=29 y=20
!byte $02, $9D ; x=29 y=16
!byte $01, $FD ; x=29 y=12
!byte $01, $5D ; x=29 y=8
!byte $00, $BD ; x=29 y=4
!byte $00, $1D ; x=29 y=0
!byte $03, $8E ; x=30 y=22
!byte $02, $EE ; x=30 y=18
!byte $02, $4E ; x=30 y=14
!byte $01, $AE ; x=30 y=10
!byte $01, $0E ; x=30 y=6
!byte $00, $6E ; x=30 y=2
!byte $03, $67 ; x=31 y=21
!byte $02, $C7 ; x=31 y=17
!byte $02, $27 ; x=31 y=13
!byte $01, $87 ; x=31 y=9
!byte $00, $E7 ; x=31 y=5
!byte $00, $47 ; x=31 y=1
!byte $03, $E0 ; x=32 y=24
!byte $03, $40 ; x=32 y=20
!byte $02, $A0 ; x=32 y=16
!byte $02, $00 ; x=32 y=12
!byte $01, $60 ; x=32 y=8
!byte $00, $C0 ; x=32 y=4
!byte $00, $20 ; x=32 y=0
!byte $03, $91 ; x=33 y=22
!byte $02, $F1 ; x=33 y=18
!byte $02, $51 ; x=33 y=14
!byte $01, $B1 ; x=33 y=10
!byte $01, $11 ; x=33 y=6
!byte $00, $71 ; x=33 y=2
!byte $03, $6A ; x=34 y=21
!byte $02, $CA ; x=34 y=17
!byte $02, $2A ; x=34 y=13
!byte $01, $8A ; x=34 y=9
!byte $00, $EA ; x=34 y=5
!byte $00, $4A ; x=34 y=1
!byte $03, $BB ; x=35 y=23
!byte $03, $1B ; x=35 y=19
!byte $02, $7B ; x=35 y=15
!byte $01, $DB ; x=35 y=11
!byte $01, $3B ; x=35 y=7
!byte $00, $9B ; x=35 y=3
!byte $03, $B6 ; x=30 y=23
!byte $03, $16 ; x=30 y=19
!byte $02, $76 ; x=30 y=15
!byte $01, $D6 ; x=30 y=11
!byte $01, $36 ; x=30 y=7
!byte $00, $96 ; x=30 y=3
!byte $03, $DF ; x=31 y=24
!byte $03, $3F ; x=31 y=20
!byte $02, $9F ; x=31 y=16
!byte $01, $FF ; x=31 y=12
!byte $01, $5F ; x=31 y=8
!byte $00, $BF ; x=31 y=4
!byte $00, $1F ; x=31 y=0
!byte $03, $90 ; x=32 y=22
!byte $02, $F0 ; x=32 y=18
!byte $02, $50 ; x=32 y=14
!byte $01, $B0 ; x=32 y=10
!byte $01, $10 ; x=32 y=6
!byte $00, $70 ; x=32 y=2
!byte $03, $69 ; x=33 y=21
!byte $02, $C9 ; x=33 y=17
!byte $02, $29 ; x=33 y=13
!byte $01, $89 ; x=33 y=9
!byte $00, $E9 ; x=33 y=5
!byte $00, $49 ; x=33 y=1
!byte $03, $E2 ; x=34 y=24
!byte $03, $42 ; x=34 y=20
!byte $02, $A2 ; x=34 y=16
!byte $02, $02 ; x=34 y=12
!byte $01, $62 ; x=34 y=8
!byte $00, $C2 ; x=34 y=4
!byte $00, $22 ; x=34 y=0
!byte $03, $93 ; x=35 y=22
!byte $02, $F3 ; x=35 y=18
!byte $02, $53 ; x=35 y=14
!byte $01, $B3 ; x=35 y=10
!byte $01, $13 ; x=35 y=6
!byte $00, $73 ; x=35 y=2
!byte $03, $6C ; x=36 y=21
!byte $02, $CC ; x=36 y=17
!byte $02, $2C ; x=36 y=13
!byte $01, $8C ; x=36 y=9
!byte $00, $EC ; x=36 y=5
!byte $00, $4C ; x=36 y=1
!byte $03, $BD ; x=37 y=23
!byte $03, $1D ; x=37 y=19
!byte $02, $7D ; x=37 y=15
!byte $01, $DD ; x=37 y=11
!byte $01, $3D ; x=37 y=7
!byte $00, $9D ; x=37 y=3
!byte $03, $B8 ; x=32 y=23
!byte $03, $18 ; x=32 y=19
!byte $02, $78 ; x=32 y=15
!byte $01, $D8 ; x=32 y=11
!byte $01, $38 ; x=32 y=7
!byte $00, $98 ; x=32 y=3
!byte $03, $E1 ; x=33 y=24
!byte $03, $41 ; x=33 y=20
!byte $02, $A1 ; x=33 y=16
!byte $02, $01 ; x=33 y=12
!byte $01, $61 ; x=33 y=8
!byte $00, $C1 ; x=33 y=4
!byte $00, $21 ; x=33 y=0
!byte $03, $92 ; x=34 y=22
!byte $02, $F2 ; x=34 y=18
!byte $02, $52 ; x=34 y=14
!byte $01, $B2 ; x=34 y=10
!byte $01, $12 ; x=34 y=6
!byte $00, $72 ; x=34 y=2
!byte $03, $6B ; x=35 y=21
!byte $02, $CB ; x=35 y=17
!byte $02, $2B ; x=35 y=13
!byte $01, $8B ; x=35 y=9
!byte $00, $EB ; x=35 y=5
!byte $00, $4B ; x=35 y=1
!byte $03, $E4 ; x=36 y=24
!byte $03, $44 ; x=36 y=20
!byte $02, $A4 ; x=36 y=16
!byte $02, $04 ; x=36 y=12
!byte $01, $64 ; x=36 y=8
!byte $00, $C4 ; x=36 y=4
!byte $00, $24 ; x=36 y=0
!byte $03, $95 ; x=37 y=22
!byte $02, $F5 ; x=37 y=18
!byte $02, $55 ; x=37 y=14
!byte $01, $B5 ; x=37 y=10
!byte $01, $15 ; x=37 y=6
!byte $00, $75 ; x=37 y=2
!byte $03, $6E ; x=38 y=21
!byte $02, $CE ; x=38 y=17
!byte $02, $2E ; x=38 y=13
!byte $01, $8E ; x=38 y=9
!byte $00, $EE ; x=38 y=5
!byte $00, $4E ; x=38 y=1
!byte $03, $BF ; x=39 y=23
!byte $03, $1F ; x=39 y=19
!byte $02, $7F ; x=39 y=15
!byte $01, $DF ; x=39 y=11
!byte $01, $3F ; x=39 y=7
!byte $00, $9F ; x=39 y=3
!byte $03, $BA ; x=34 y=23
!byte $03, $1A ; x=34 y=19
!byte $02, $7A ; x=34 y=15
!byte $01, $DA ; x=34 y=11
!byte $01, $3A ; x=34 y=7
!byte $00, $9A ; x=34 y=3
!byte $03, $E3 ; x=35 y=24
!byte $03, $43 ; x=35 y=20
!byte $02, $A3 ; x=35 y=16
!byte $02, $03 ; x=35 y=12
!byte $01, $63 ; x=35 y=8
!byte $00, $C3 ; x=35 y=4
!byte $00, $23 ; x=35 y=0
!byte $03, $94 ; x=36 y=22
!byte $02, $F4 ; x=36 y=18
!byte $02, $54 ; x=36 y=14
!byte $01, $B4 ; x=36 y=10
!byte $01, $14 ; x=36 y=6
!byte $00, $74 ; x=36 y=2
!byte $03, $6D ; x=37 y=21
!byte $02, $CD ; x=37 y=17
!byte $02, $2D ; x=37 y=13
!byte $01, $8D ; x=37 y=9
!byte $00, $ED ; x=37 y=5
!byte $00, $4D ; x=37 y=1
!byte $03, $E6 ; x=38 y=24
!byte $03, $46 ; x=38 y=20
!byte $02, $A6 ; x=38 y=16
!byte $02, $06 ; x=38 y=12
!byte $01, $66 ; x=38 y=8
!byte $00, $C6 ; x=38 y=4
!byte $00, $26 ; x=38 y=0
!byte $03, $97 ; x=39 y=22
!byte $02, $F7 ; x=39 y=18
!byte $02, $57 ; x=39 y=14
!byte $01, $B7 ; x=39 y=10
!byte $01, $17 ; x=39 y=6
!byte $00, $77 ; x=39 y=2
!byte $03, $BC ; x=36 y=23
!byte $03, $1C ; x=36 y=19
!byte $02, $7C ; x=36 y=15
!byte $01, $DC ; x=36 y=11
!byte $01, $3C ; x=36 y=7
!byte $00, $9C ; x=36 y=3
!byte $03, $E5 ; x=37 y=24
!byte $03, $45 ; x=37 y=20
!byte $02, $A5 ; x=37 y=16
!byte $02, $05 ; x=37 y=12
!byte $01, $65 ; x=37 y=8
!byte $00, $C5 ; x=37 y=4
!byte $00, $25 ; x=37 y=0
!byte $03, $96 ; x=38 y=22
!byte $02, $F6 ; x=38 y=18
!byte $02, $56 ; x=38 y=14
!byte $01, $B6 ; x=38 y=10
!byte $01, $16 ; x=38 y=6
!byte $00, $76 ; x=38 y=2
!byte $03, $6F ; x=39 y=21
!byte $02, $CF ; x=39 y=17
!byte $02, $2F ; x=39 y=13
!byte $01, $8F ; x=39 y=9
!byte $00, $EF ; x=39 y=5
!byte $00, $4F ; x=39 y=1
!byte $03, $BE ; x=38 y=23
!byte $03, $1E ; x=38 y=19
!byte $02, $7E ; x=38 y=15
!byte $01, $DE ; x=38 y=11
!byte $01, $3E ; x=38 y=7
!byte $00, $9E ; x=38 y=3
!byte $03, $E7 ; x=39 y=24
!byte $03, $47 ; x=39 y=20
!byte $02, $A7 ; x=39 y=16
!byte $02, $07 ; x=39 y=12
!byte $01, $67 ; x=39 y=8
!byte $00, $C7 ; x=39 y=4
!byte $00, $27 ; x=39 y=0
.faderdata_end:

.screendata:
; Character data
  !byte 96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96
  !byte 32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,32,32,233,223,32,32,32,32,233,223,32,95,224,224,224,224,224,223,32,32,32,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,32,233,224,224,223,32,32,233,224,224,223,32,95,224,224,224,224,224,223,32,32,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,233,224,224,224,224,223,233,224,224,224,224,223,32,95,224,224,224,224,224,223,32,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,95,224,224,224,224,224,224,224,224,224,224,105,32,32,95,224,224,224,224,224,223,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,233,223,32,95,224,224,224,224,224,224,224,224,105,32,233,223,32,95,224,224,224,224,224,223,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,233,224,224,223,32,95,224,224,224,224,224,224,105,32,233,224,224,223,32,95,224,224,224,224,224,223,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,233,224,224,224,224,223,32,95,224,224,224,224,105,32,233,224,224,224,224,223,32,95,224,224,224,224,224,223,32,32,32,32,32
  !byte 32,32,32,32,32,32,233,224,224,224,224,224,105,32,106,224,224,224,224,116,32,95,224,224,224,224,224,224,224,224,224,224,224,224,105,32,32,32,32,32
  !byte 32,32,32,32,32,233,224,224,224,224,224,105,32,32,106,224,224,224,224,116,32,32,95,224,224,224,224,224,224,224,224,224,224,105,32,32,32,32,32,32
  !byte 32,32,32,32,233,224,224,224,224,224,105,32,32,32,106,224,224,224,224,116,32,32,32,95,224,224,224,224,224,224,224,224,105,32,32,32,32,32,32,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32
  !byte 32,32,96,96,233,223,233,205,224,224,224,224,224,224,206,223,233,205,224,224,224,224,224,224,206,224,224,205,224,224,224,224,224,206,224,224,223,32,32,32
  !byte 32,32,96,233,224,224,224,224,205,224,247,247,96,233,224,224,224,224,205,224,247,247,247,206,224,247,247,96,95,247,247,224,206,224,247,247,247,223,32,32
  !byte 32,32,233,224,105,95,105,95,224,205,247,247,206,224,105,95,105,95,224,205,224,247,206,224,247,247,247,224,224,205,95,206,247,247,247,247,247,224,223,32
  !byte 32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32
  !byte 32,32,32,32,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,32,32,32,32,32
  !byte 32,32,32,32,96,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32
  !byte 96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96
  !byte 96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96
  !byte 96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96

  !align 2,0 ; IMPORTANT the colordata LO and HI has to be in the same INC !!
.colordata:
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13
  !byte 13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13
  !byte 13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13
  !byte 13,1,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13
  !byte 13,1,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,13,13
  !byte 14,1,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,1,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,1,14,14,14,14,14,14,14,14,14,4,4,4,4,4,4,4,4,4,4,4,4,14,4,4,4,4,4,4,4,4,4,4,14,14,14,14,14,14
  !byte 14,1,14,14,14,14,14,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,14,14,14,14
  !byte 14,1,14,14,14,14,14,14,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,14,14,14,14,14
  !byte 14,1,14,14,14,14,14,4,4,4,4,4,4,4,4,4,4,4,4,4,13,4,4,4,4,4,4,4,4,4,4,4,4,4,4,14,14,14,14,14
  !byte 14,1,5,14,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,14,14,14
  !byte 5,1,5,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,14,6,6,6,6,6,6,6,6,6,6,6,6,6,14,5,5,14,14,14
  !byte 5,1,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,14,5,5,14,14,14
  !byte 5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,14,14,14,14
  !byte 5,5,0,0,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 5,5,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,4,4,4,4,4,4,4,4,4,14,14
  !byte 5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,14
  !byte 5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,14,14,14
  !byte 5,5,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,5,14,14,14
  !byte 5,5,5,5,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,5,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
