!zone fade_tbird
fade_tbird_isready
  !byte $00
fade_tbird_fade:
    clc
    lda .value1+1
    cmp #<.faderdata_end
    bne .fade_ok
    lda .value1+2
    cmp #>.faderdata_end
    bne .fade_ok
    lda #$01
    sta fade_tbird_isready
    rts

.fade_ok:
    clc
.value1:
    ldx .faderdata
.value2:
    ldy .faderdata+1

    clc
    txa
    adc #>.colordata
    sta .modvalue1+2

    clc
    txa
    adc #>.screendata
    sta .modvalue3+2

    clc
    tya
    adc #<.colordata
    sta .modvalue1+1
    bcc +
    inc .modvalue1+2
+
    clc
    tya
    adc #<.screendata
    sta .modvalue3+1
    bcc .ok3
    inc .modvalue3+2

.ok3:

    clc
    txa
    adc #>$d800
    sta .modvalue2+2

    clc
    txa
    adc #>screen
    sta .modvalue4+2

    clc
    tya
    adc #<$d800
    sta .modvalue2+1
    bcc +
    inc .modvalue2+2

+   clc
    tya
    adc #<screen
    sta .modvalue4+1
    bcc .ok4
    inc .modvalue4+2
.ok4:
    clc
.modvalue1:
    lda .colordata
.modvalue2:
    sta $d800
.modvalue3:
    lda .screendata
.modvalue4:
    sta screen
    clc
    lda .value1+1
    adc #$02
    sta .value1+1
    bcc .ok1
    inc .value1+2
.ok1:
    clc
    lda .value2+1
    adc #$02
    sta .value2+1
    bcc .ok2
    inc .value2+2
.ok2:
    clc
    rts

fade_tbird_copy_empty_screen:
    ldx #$fa
-
!for ROW, 0, 3 {
    lda empty_color+(ROW*$fa)-1,x
    sta .colordata+(ROW*$fa)-1,x
}
!for ROW, 0, 3 {
    lda empty_screen+(ROW*$fa)-1,x
    sta .screendata+(ROW*$fa)-1,x
}
    dex
    bne -

;    rts

.reset_animation:
    clc
    lda #<.faderdata
    sta .value1+1
    sta .value2+1
    lda #>.faderdata
    sta .value1+2
    sta .value2+2
    inc .value2+1
    lda #$00
    sta fade_tbird_isready
    rts
    ;lda #<.faderdata+1
    ;sta .value2+1
    ;lda #>.faderdata+1
    ;sta .value2+2

fade_tbird_copy_name:
    ldx #$16
-
!for ROW, 4, 10 {
    lda .screendata+(ROW*$28)-1,x
    sta screen+(ROW*$28)-1,x
}
    dex
    bne -
    rts

fade_tbird_clear_name:
    ldx #$16
-
!for ROW, 4, 10 {
    lda .screendata+(ROW*$28)-1,x
    sta screen+(ROW*$28)-1,x
}
    dex
    bne -
    rts

!align 2,0 ; IMPORTANT the faderdata LO and HI has to be in the same INC !!
.faderdata:
;!byte $00, $B5 ; x=21 y=4
!byte $00, $B6 ; x=22 y=4
!byte $00, $B7 ; x=23 y=4
!byte $00, $B8 ; x=24 y=4
!byte $00, $DD ; x=21 y=5
!byte $00, $DE ; x=22 y=5
!byte $00, $DF ; x=23 y=5
!byte $00, $E0 ; x=24 y=5
!byte $01, $05 ; x=21 y=6
!byte $01, $06 ; x=22 y=6
!byte $01, $07 ; x=23 y=6
!byte $01, $08 ; x=24 y=6
!byte $01, $2E ; x=22 y=7
!byte $01, $2F ; x=23 y=7
!byte $01, $30 ; x=24 y=7
!byte $01, $31 ; x=25 y=7
!byte $01, $56 ; x=22 y=8
!byte $01, $57 ; x=23 y=8
!byte $01, $58 ; x=24 y=8
!byte $01, $59 ; x=25 y=8
!byte $01, $7E ; x=22 y=9
!byte $01, $7F ; x=23 y=9
!byte $01, $80 ; x=24 y=9
!byte $01, $81 ; x=25 y=9
!byte $01, $A6 ; x=22 y=10
!byte $01, $A7 ; x=23 y=10
!byte $01, $A8 ; x=24 y=10
!byte $01, $A9 ; x=25 y=10
!byte $01, $CE ; x=22 y=11
!byte $01, $CF ; x=23 y=11
!byte $01, $D0 ; x=24 y=11
!byte $01, $D1 ; x=25 y=11
!byte $01, $F5 ; x=21 y=12
!byte $01, $F6 ; x=22 y=12
!byte $01, $F7 ; x=23 y=12
!byte $01, $F8 ; x=24 y=12
!byte $02, $1C ; x=20 y=13
!byte $02, $1D ; x=21 y=13
!byte $02, $1E ; x=22 y=13
!byte $02, $1F ; x=23 y=13
!byte $02, $45 ; x=21 y=14
!byte $02, $46 ; x=22 y=14
!byte $02, $47 ; x=23 y=14
!byte $02, $20 ; x=24 y=13
!byte $01, $F9 ; x=25 y=12
!byte $01, $D2 ; x=26 y=11
!byte $02, $48 ; x=24 y=14
!byte $02, $21 ; x=25 y=13
!byte $01, $FA ; x=26 y=12
!byte $01, $D3 ; x=27 y=11
!byte $02, $49 ; x=25 y=14
!byte $02, $22 ; x=26 y=13
!byte $01, $FB ; x=27 y=12
!byte $01, $D4 ; x=28 y=11
!byte $02, $4A ; x=26 y=14
!byte $02, $23 ; x=27 y=13
!byte $01, $FC ; x=28 y=12
!byte $01, $FD ; x=29 y=12
!byte $02, $72 ; x=26 y=15
!byte $02, $4B ; x=27 y=14
!byte $02, $24 ; x=28 y=13
!byte $02, $71 ; x=25 y=15
!byte $02, $73 ; x=27 y=15
!byte $02, $74 ; x=28 y=15
!byte $02, $70 ; x=24 y=15
!byte $02, $99 ; x=25 y=16
!byte $02, $9A ; x=26 y=16
!byte $02, $C2 ; x=26 y=17
!byte $02, $97 ; x=23 y=16
!byte $02, $98 ; x=24 y=16
!byte $02, $C1 ; x=25 y=17
!byte $02, $EA ; x=26 y=18
!byte $02, $96 ; x=22 y=16
!byte $02, $BF ; x=23 y=17
!byte $02, $C0 ; x=24 y=17
!byte $02, $E9 ; x=25 y=18
!byte $02, $E8 ; x=24 y=18
!byte $02, $BD ; x=21 y=17
!byte $02, $BE ; x=22 y=17
!byte $02, $E7 ; x=23 y=18
!byte $03, $10 ; x=24 y=19
!byte $02, $E5 ; x=21 y=18
!byte $02, $E6 ; x=22 y=18
!byte $03, $0F ; x=23 y=19
!byte $03, $38 ; x=24 y=20
!byte $03, $0C ; x=20 y=19
!byte $03, $0D ; x=21 y=19
!byte $03, $0E ; x=22 y=19
!byte $03, $37 ; x=23 y=20
!byte $03, $34 ; x=20 y=20
!byte $03, $35 ; x=21 y=20
!byte $03, $36 ; x=22 y=20
!byte $03, $5F ; x=23 y=21
!byte $03, $5C ; x=20 y=21
!byte $03, $5D ; x=21 y=21
!byte $03, $5E ; x=22 y=21
!byte $03, $60 ; x=24 y=21
!byte $03, $84 ; x=20 y=22
!byte $03, $85 ; x=21 y=22
!byte $03, $86 ; x=22 y=22
!byte $03, $87 ; x=23 y=22
!byte $03, $88 ; x=24 y=22
!byte $03, $AC ; x=20 y=23
!byte $03, $AD ; x=21 y=23
!byte $03, $AE ; x=22 y=23
!byte $03, $AF ; x=23 y=23
!byte $03, $D4 ; x=20 y=24
!byte $03, $D5 ; x=21 y=24
!byte $03, $D6 ; x=22 y=24
!byte $03, $D7 ; x=23 y=24
!byte $03, $D8 ; x=24 y=24
!byte $03, $B0 ; x=24 y=23
!byte $03, $89 ; x=25 y=22
!byte $03, $61 ; x=25 y=21
!byte $03, $D9 ; x=25 y=24
!byte $03, $B1 ; x=25 y=23
!byte $03, $8A ; x=26 y=22
!byte $03, $62 ; x=26 y=21
!byte $03, $DA ; x=26 y=24
!byte $03, $B2 ; x=26 y=23
!byte $03, $8B ; x=27 y=22
!byte $03, $63 ; x=27 y=21
!byte $03, $DB ; x=27 y=24
!byte $03, $B3 ; x=27 y=23
!byte $03, $8C ; x=28 y=22
!byte $03, $64 ; x=28 y=21
!byte $03, $DC ; x=28 y=24
!byte $03, $B4 ; x=28 y=23
!byte $03, $8D ; x=29 y=22
!byte $03, $65 ; x=29 y=21
!byte $03, $DD ; x=29 y=24
!byte $03, $B5 ; x=29 y=23
!byte $03, $8E ; x=30 y=22
!byte $03, $66 ; x=30 y=21
!byte $03, $DE ; x=30 y=24
!byte $03, $B6 ; x=30 y=23
!byte $03, $8F ; x=31 y=22
!byte $03, $67 ; x=31 y=21
!byte $03, $DF ; x=31 y=24
!byte $03, $B7 ; x=31 y=23
!byte $03, $90 ; x=32 y=22
!byte $03, $68 ; x=32 y=21
!byte $03, $E0 ; x=32 y=24
!byte $03, $B8 ; x=32 y=23
!byte $03, $91 ; x=33 y=22
!byte $03, $69 ; x=33 y=21
!byte $03, $E1 ; x=33 y=24
!byte $03, $B9 ; x=33 y=23
!byte $03, $92 ; x=34 y=22
!byte $03, $6A ; x=34 y=21
!byte $03, $E2 ; x=34 y=24
!byte $03, $BA ; x=34 y=23
!byte $03, $93 ; x=35 y=22
!byte $03, $6B ; x=35 y=21
!byte $03, $E3 ; x=35 y=24
!byte $03, $BB ; x=35 y=23
!byte $03, $94 ; x=36 y=22
!byte $03, $6C ; x=36 y=21
!byte $03, $E4 ; x=36 y=24
!byte $03, $BC ; x=36 y=23
!byte $03, $95 ; x=37 y=22
!byte $03, $6D ; x=37 y=21
!byte $03, $E7 ; x=39 y=24
!byte $03, $E6 ; x=38 y=24
!byte $03, $E5 ; x=37 y=24
!byte $03, $BF ; x=39 y=23
!byte $03, $BE ; x=38 y=23
!byte $03, $BD ; x=37 y=23
!byte $03, $97 ; x=39 y=22
!byte $03, $96 ; x=38 y=22
!byte $03, $44 ; x=36 y=20
!byte $03, $6F ; x=39 y=21
!byte $03, $6E ; x=38 y=21
!byte $03, $45 ; x=37 y=20
!byte $03, $47 ; x=39 y=20
!byte $03, $46 ; x=38 y=20
!byte $03, $1D ; x=37 y=19
!byte $03, $1F ; x=39 y=19
!byte $03, $1E ; x=38 y=19
!byte $03, $1C ; x=36 y=19
!byte $02, $F7 ; x=39 y=18
!byte $02, $F6 ; x=38 y=18
!byte $02, $F5 ; x=37 y=18
!byte $02, $F4 ; x=36 y=18
!byte $02, $CE ; x=38 y=17
!byte $02, $CD ; x=37 y=17
!byte $02, $CC ; x=36 y=17
!byte $02, $CB ; x=35 y=17
!byte $02, $A5 ; x=37 y=16
!byte $02, $A4 ; x=36 y=16
!byte $02, $A3 ; x=35 y=16
!byte $02, $A2 ; x=34 y=16
!byte $02, $7B ; x=35 y=15
!byte $02, $CA ; x=34 y=17
!byte $02, $7A ; x=34 y=15
!byte $02, $A1 ; x=33 y=16
!byte $02, $C9 ; x=33 y=17
!byte $02, $C8 ; x=32 y=17
!byte $02, $79 ; x=33 y=15
!byte $02, $A0 ; x=32 y=16
!byte $02, $C7 ; x=31 y=17
!byte $02, $C6 ; x=30 y=17
!byte $02, $78 ; x=32 y=15
!byte $02, $9F ; x=31 y=16
!byte $02, $9E ; x=30 y=16
!byte $02, $C5 ; x=29 y=17
!byte $02, $50 ; x=32 y=14
!byte $02, $77 ; x=31 y=15
!byte $02, $76 ; x=30 y=15
!byte $02, $9D ; x=29 y=16
!byte $02, $51 ; x=33 y=14
!byte $02, $4F ; x=31 y=14
!byte $02, $4E ; x=30 y=14
!byte $02, $52 ; x=34 y=14
!byte $02, $29 ; x=33 y=13
!byte $02, $28 ; x=32 y=13
!byte $02, $00 ; x=32 y=12
!byte $02, $2B ; x=35 y=13
!byte $02, $2A ; x=34 y=13
!byte $02, $01 ; x=33 y=12
!byte $01, $D8 ; x=32 y=11
!byte $02, $04 ; x=36 y=12
!byte $02, $03 ; x=35 y=12
!byte $02, $02 ; x=34 y=12
!byte $01, $D9 ; x=33 y=11
!byte $01, $DD ; x=37 y=11
!byte $01, $DC ; x=36 y=11
!byte $01, $DB ; x=35 y=11
!byte $01, $DA ; x=34 y=11
!byte $01, $B6 ; x=38 y=10
!byte $01, $B5 ; x=37 y=10
!byte $01, $B4 ; x=36 y=10
!byte $01, $B3 ; x=35 y=10
!byte $01, $8E ; x=38 y=9
!byte $01, $8D ; x=37 y=9
!byte $01, $8C ; x=36 y=9
!byte $01, $8B ; x=35 y=9
!byte $01, $67 ; x=39 y=8
!byte $01, $66 ; x=38 y=8
!byte $01, $65 ; x=37 y=8
!byte $01, $64 ; x=36 y=8
!byte $01, $3E ; x=38 y=7
!byte $01, $3D ; x=37 y=7
!byte $01, $3C ; x=36 y=7
!byte $01, $3B ; x=35 y=7
!byte $01, $16 ; x=38 y=6
!byte $01, $15 ; x=37 y=6
!byte $01, $14 ; x=36 y=6
!byte $01, $13 ; x=35 y=6
!byte $00, $EE ; x=38 y=5
!byte $00, $ED ; x=37 y=5
!byte $00, $EC ; x=36 y=5
!byte $00, $EB ; x=35 y=5
!byte $00, $C5 ; x=37 y=4
!byte $00, $C4 ; x=36 y=4
!byte $00, $C3 ; x=35 y=4
!byte $00, $C2 ; x=34 y=4
!byte $00, $9D ; x=37 y=3
!byte $00, $9C ; x=36 y=3
!byte $00, $9B ; x=35 y=3
!byte $00, $9A ; x=34 y=3
!byte $00, $74 ; x=36 y=2
!byte $00, $73 ; x=35 y=2
!byte $00, $72 ; x=34 y=2
!byte $00, $71 ; x=33 y=2
!byte $00, $4A ; x=34 y=1
!byte $00, $49 ; x=33 y=1
!byte $00, $48 ; x=32 y=1
!byte $00, $47 ; x=31 y=1
!byte $00, $20 ; x=32 y=0
!byte $00, $1F ; x=31 y=0
!byte $00, $1E ; x=30 y=0
!byte $00, $1D ; x=29 y=0
!byte $00, $45 ; x=29 y=1
!byte $00, $46 ; x=30 y=1
!byte $00, $6F ; x=31 y=2
!byte $00, $6E ; x=30 y=2
!byte $00, $44 ; x=28 y=1
!byte $00, $6D ; x=29 y=2
!byte $00, $96 ; x=30 y=3
!byte $00, $43 ; x=27 y=1
!byte $00, $6C ; x=28 y=2
!byte $00, $95 ; x=29 y=3
!byte $00, $1B ; x=27 y=0
!byte $00, $42 ; x=26 y=1
!byte $00, $6B ; x=27 y=2
!byte $00, $1A ; x=26 y=0
!byte $00, $41 ; x=25 y=1
!byte $00, $6A ; x=26 y=2
!byte $00, $19 ; x=25 y=0
!byte $00, $69 ; x=25 y=2
!byte $00, $18 ; x=24 y=0
!byte $00, $40 ; x=24 y=1
!byte $00, $68 ; x=24 y=2
!byte $00, $90 ; x=24 y=3
!byte $00, $3F ; x=23 y=1
!byte $00, $67 ; x=23 y=2
!byte $00, $8F ; x=23 y=3
!byte $00, $66 ; x=22 y=2
!byte $00, $8E ; x=22 y=3
!byte $00, $91 ; x=25 y=3
!byte $00, $BA ; x=26 y=4
!byte $00, $BB ; x=27 y=4
!byte $00, $E4 ; x=28 y=5
!byte $00, $B9 ; x=25 y=4
!byte $00, $E2 ; x=26 y=5
!byte $00, $E3 ; x=27 y=5
!byte $01, $0C ; x=28 y=6
!byte $00, $E1 ; x=25 y=5
!byte $01, $0A ; x=26 y=6
!byte $01, $0B ; x=27 y=6
!byte $01, $34 ; x=28 y=7
!byte $01, $09 ; x=25 y=6
!byte $01, $32 ; x=26 y=7
!byte $01, $33 ; x=27 y=7
!byte $01, $5C ; x=28 y=8
!byte $01, $5A ; x=26 y=8
!byte $01, $5B ; x=27 y=8
!byte $01, $85 ; x=29 y=9
!byte $01, $82 ; x=26 y=9
!byte $01, $83 ; x=27 y=9
!byte $01, $84 ; x=28 y=9
!byte $01, $AD ; x=29 y=10
!byte $01, $AA ; x=26 y=10
!byte $01, $AB ; x=27 y=10
!byte $01, $AC ; x=28 y=10
!byte $01, $D5 ; x=29 y=11
!byte $01, $D6 ; x=30 y=11
!byte $01, $D7 ; x=31 y=11
!byte $01, $FE ; x=30 y=12
!byte $01, $FF ; x=31 y=12
!byte $02, $25 ; x=29 y=13
!byte $02, $26 ; x=30 y=13
!byte $02, $27 ; x=31 y=13
!byte $02, $4C ; x=28 y=14
!byte $02, $4D ; x=29 y=14
!byte $02, $75 ; x=29 y=15
!byte $02, $9B ; x=27 y=16
!byte $02, $C3 ; x=27 y=17
!byte $03, $11 ; x=25 y=19
!byte $02, $9C ; x=28 y=16
!byte $02, $C4 ; x=28 y=17
!byte $02, $EB ; x=27 y=18
!byte $03, $12 ; x=26 y=19
!byte $03, $39 ; x=25 y=20
!byte $02, $EC ; x=28 y=18
!byte $03, $13 ; x=27 y=19
!byte $03, $3A ; x=26 y=20
!byte $02, $ED ; x=29 y=18
!byte $03, $14 ; x=28 y=19
!byte $03, $3B ; x=27 y=20
!byte $02, $EE ; x=30 y=18
!byte $03, $15 ; x=29 y=19
!byte $03, $3C ; x=28 y=20
!byte $02, $EF ; x=31 y=18
!byte $03, $16 ; x=30 y=19
!byte $03, $3D ; x=29 y=20
!byte $02, $F0 ; x=32 y=18
!byte $03, $17 ; x=31 y=19
!byte $03, $3E ; x=30 y=20
!byte $02, $F1 ; x=33 y=18
!byte $03, $18 ; x=32 y=19
!byte $03, $3F ; x=31 y=20
!byte $02, $F2 ; x=34 y=18
!byte $03, $19 ; x=33 y=19
!byte $03, $40 ; x=32 y=20
!byte $02, $F3 ; x=35 y=18
!byte $03, $1A ; x=34 y=19
!byte $03, $41 ; x=33 y=20
!byte $03, $1B ; x=35 y=19
!byte $03, $42 ; x=34 y=20
!byte $03, $43 ; x=35 y=20
!byte $01, $B0 ; x=32 y=10
!byte $01, $B1 ; x=33 y=10
!byte $01, $B2 ; x=34 y=10
!byte $01, $88 ; x=32 y=9
!byte $01, $89 ; x=33 y=9
!byte $01, $8A ; x=34 y=9
!byte $01, $61 ; x=33 y=8
!byte $01, $62 ; x=34 y=8
!byte $01, $63 ; x=35 y=8
!byte $01, $38 ; x=32 y=7
!byte $01, $39 ; x=33 y=7
!byte $01, $3A ; x=34 y=7
!byte $01, $10 ; x=32 y=6
!byte $01, $11 ; x=33 y=6
!byte $01, $12 ; x=34 y=6
!byte $00, $E8 ; x=32 y=5
!byte $00, $E9 ; x=33 y=5
!byte $00, $EA ; x=34 y=5
!byte $00, $BF ; x=31 y=4
!byte $00, $C0 ; x=32 y=4
!byte $00, $C1 ; x=33 y=4
!byte $00, $97 ; x=31 y=3
!byte $00, $98 ; x=32 y=3
!byte $00, $99 ; x=33 y=3
!byte $00, $70 ; x=32 y=2
!byte $00, $92 ; x=26 y=3
!byte $00, $93 ; x=27 y=3
!byte $00, $94 ; x=28 y=3
!byte $00, $BC ; x=28 y=4
!byte $00, $BD ; x=29 y=4
!byte $00, $BE ; x=30 y=4
!byte $00, $E5 ; x=29 y=5
!byte $00, $E6 ; x=30 y=5
!byte $00, $E7 ; x=31 y=5
!byte $01, $0D ; x=29 y=6
!byte $01, $0E ; x=30 y=6
!byte $01, $0F ; x=31 y=6
!byte $01, $35 ; x=29 y=7
!byte $01, $36 ; x=30 y=7
!byte $01, $37 ; x=31 y=7
!byte $01, $5D ; x=29 y=8
!byte $01, $5E ; x=30 y=8
!byte $01, $5F ; x=31 y=8
!byte $01, $60 ; x=32 y=8
!byte $01, $86 ; x=30 y=9
!byte $01, $87 ; x=31 y=9
!byte $01, $AE ; x=30 y=10
!byte $01, $AF ; x=31 y=10
.faderdata_end:

.screendata:
  !byte 32,32,32,32,32,32,32,32,32,32,96,96,96,96,96,96,96,96,96,96,96,96,96,96,121,247,227,73,96,85,227,247,104,96,96,96,96,96,96,96
  !byte 32,32,32,32,32,32,32,32,32,32,96,96,96,96,96,96,96,96,96,96,96,96,96,254,226,228,202,201,247,213,224,224,160,102,92,96,96,96,96,96
  !byte 32,32,32,32,32,32,32,32,32,32,96,96,96,96,96,96,96,96,96,96,96,96,225,224,102,104,104,127,224,224,224,224,224,205,102,104,46,96,96,96
  !byte 98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,245,224,224,236,108,124,98,98,251,224,224,224,205,102,102,108,98,98
  !byte 224,105,96,96,78,233,105,78,233,105,78,96,105,78,96,96,105,111,111,78,96,67,229,224,206,108,169,252,160,174,225,224,224,224,205,205,102,92,160,160
  !byte 224,105,233,105,96,99,78,233,105,78,233,96,78,233,105,78,111,111,105,233,96,97,224,206,206,225,160,160,160,160,97,224,224,224,224,205,205,102,245,160
  !byte 105,233,105,233,105,233,96,99,78,233,105,78,96,99,78,96,96,78,233,105,233,246,229,206,92,226,226,160,160,226,226,225,224,224,224,224,205,102,225,160
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,160,225,102,96,220,123,108,123,220,123,96,251,224,160,224,224,102,92,160
  !byte 224,224,224,224,224,224,105,67,233,105,78,96,67,78,96,96,224,224,224,224,160,160,97,102,96,124,102,225,97,124,102,96,97,224,224,224,213,102,92,244
  !byte 224,224,224,224,224,105,233,96,105,78,233,96,105,233,105,233,224,224,224,224,160,160,246,102,92,98,247,239,226,98,98,224,234,244,224,224,203,102,92,224
  !byte 224,224,224,224,105,96,99,78,78,233,105,78,96,99,233,224,224,224,224,224,160,160,97,92,124,239,126,104,102,124,232,232,97,224,213,224,232,230,225,160
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,160,126,39,46,124,249,120,247,124,92,124,254,224,203,232,230,108,160,160
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,126,85,102,104,104,124,239,232,239,126,230,254,232,232,230,108,224,160,160
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,96,102,102,102,75,46,104,123,104,123,232,230,230,230,108,224,160,160,160
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,98,98,98,98,98,123,104,108,111,98,104,92,98,248,224,160,160,160,160
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,160,160,160,239,226,126,220,202,198,160,232,92,226,239,228,160,160,160,160
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,160,105,104,96,96,96,46,119,120,120,99,104,75,32,96,96,95,160,160
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,105,32,32,92,32,32,96,96,99,96,96,96,32,32,32,32,32,95,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,32,32,32,39,32,32,96,32,111,104,98,123,32,32,32,32,32,32,244
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,231,32,32,32,46,32,106,220,32,220,239,232,116,96,46,32,32,32,32,118
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,117,32,32,32,92,32,106,230,98,174,98,32,32,32,92,32,32,32,32,103
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,117,32,32,32,92,32,106,230,232,224,226,32,32,32,92,32,32,32,32,103
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,245,227,92,32,32,32,220,32,224,32,32,32,32,108,104,98,98,247,245
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,234,245,160,102,32,32,32,32,32,119,32,32,32,32,118,220,160,160,160,245
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,224,160,102,117,32,32,32,32,32,32,32,32,32,103,160,160,160,160,225

  !align 2,0 ; IMPORTANT the colordata LO and HI has to be in the same INC !!
.colordata:
  !byte 14,14,14,14,14,14,14,14,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 14,14,14,14,14,14,14,14,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 14,14,14,14,14,14,14,14,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,14,6,6,6,6,6,6,14,6,6,6,6,6,6,6,6,6
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,6,6,8,6,15,15,6,14,14,6,6,6,6,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,6,8,10,15,7,7,6,6,14,14,6,6,6,6,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,6,6,10,15,7,7,7,15,6,6,15,14,6,6,6,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,6,6,6,10,15,7,7,7,15,6,6,14,15,14,6,6,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,6,6,6,1,3,10,15,1,3,6,6,14,15,14,6,6,6,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,6,6,3,1,7,7,3,1,6,8,14,15,14,6,6,6,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,6,6,15,7,7,7,7,7,15,10,6,14,6,6,6,6,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,6,10,7,7,6,6,15,15,15,8,14,6,6,6,6,14,14
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,6,8,10,7,7,6,6,10,6,6,6,6,6,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,6,6,6,9,8,10,15,10,6,6,6,6,6,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,10,7,15,10,9,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,10,15,7,7,10,8,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,4,11,11,6,11,11,11,11,9,6,10,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,10,10,9,10,10,11,11,6,11,11,9,11,15,10,10,10,4,4
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,10,10,9,10,9,9,6,5,5,15,15,12,10,10,10,10,10,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,10,10,6,10,11,11,5,5,15,15,15,6,6,10,10,10,10,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,10,10,9,10,11,11,5,15,15,4,10,10,6,10,10,10,10,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,9,9,6,10,11,5,5,15,15,12,10,10,6,10,9,10,10,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,15,10,10,10,6,5,12,15,4,10,10,10,9,10,10,15,15,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,15,7,9,10,10,11,12,15,10,10,10,10,9,10,15,7,15,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,15,7,9,10,10,10,10,10,10,10,10,10,9,10,15,7,15,6
